#################################
###########  NOTA R  ############
#################################
rm(list=ls()) 
cat("\014")
setwd("C:/Users/Andr Rodrigues/Desktop/Eduardo artigos e stuffs/R")

#### EXERCCIO 105.1 ####
list.files()
saligna <- read.csv("esaligna.csv", sep=";")
saligna$arvore <- as.factor(saligna$arvore)
saligna$talhao <- as.factor(saligna$talhao)
saligna$classe <- as.factor(saligna$classe)

#Para RStudio: se quiser ver o plot antes de salver o arquivo, rode ignorando a primeira e ltima linha
#ou seja, ignore a linha do png() e do dev.off()
#Entretanto, o arquivo ser criado sem ver no plot
png("saligna.png")                          #Abrindo para captura grfica .png
g1 <- plot(ht ~ dap, col = "red", type = "p", pch = 16, cex = 1.4,
           xlab = "Dimetro  altura do peito (cm)", cex.axis = 1.5,
           ylab = "Altura (m)", cex.lab = 1.7,  tcl = 0.3, las = 1,
           bty = "l", main = "Eucalypthus saligna", cex.main = 1.8,
           data = saligna)
dev.off()                                  #Fechando interface grfica e estabelecendo arquivo


#### EXERCCIO 105.2 ####
saligna <- read.csv("esaligna.csv", sep=";")
saligna$arvore <- as.factor(saligna$arvore)
saligna$talhao <- as.factor(saligna$talhao)
saligna$classe <- as.factor(saligna$classe)

#Para RStudio: se quiser ver o plot antes de salver o arquivo, rode ignorando a primeira e ltima linha
#ou seja, ignore a linha do png() e do dev.off()
#Entretanto, o arquivo ser criado sem ver no plot

png("saligna2.png") 
par(mfrow=c(1,2), oma=c(0,0,2,0))
g2 <- boxplot(dap ~ talhao, cex = 1.4,
           xlab = "Talho", cex.axis = 1.5, las = 1,
           ylab = "Dimetro  altura do peito (cm)", cex.lab = 1.7,  tcl = 0.3,
           bty = "n", data = saligna)
#locator(1)     #utilizei para determinar a posio que gostaria do texto
text(0.75, 23, "a", cex = 1.4)

(m.dap <- tapply(saligna$dap, saligna$talhao, mean))
(sd.dap <- tapply(saligna$dap, saligna$talhao, sd))
(l.dap <- tapply(saligna$dap, saligna$talhao, length))

g3 <- barplot(m.dap, cex = 1.4, names.arg = saligna$md.talhao,
            xlab = "Talho", cex.axis = 1.5, ylim = c(0,25), las = 1,
            ylab = "Dimetro  altura do peito (cm)", cex.lab = 1.7,  tcl = 0.3,
            bty = "l")
segments(g3,m.dap-sd.dap, g3, m.dap+sd.dap)
text(0.75, 23, "b", cex = 1.4)
mtext("Eucalypthus saligna", outer = T, cex = 1.8)
dev.off()   


#### EXERCCIO 105.3 ####
g <- read.csv("exercicio3.csv")
png("exercicio3.png")
## GRFICO 01 ##
par(mfrow=c(1,2))
plot(g$x1, g$y1, ylab="", xlab="Log(Patch size)(ha)", tcl=0.5, bty="l", xlim=c(0.5,2.2), ylim=c(0,3), pch=17, cex=1.7, cex.lab= 1.5,cex.axis=1.5, family="serif") 
segments(x=0.5, y= 2.25, x1=2.17, y1=1, lwd=3) 
mtext("Euclidean distances", 2, cex=1.8, family="serif", line=2.5) 
text(2.2,3,"a", family="serif", cex=1.7)
## GRFICO 02 ##
par(bty="l", mar=c(5,0.5,4,2))
boxplot(g$x2~g$y2,outline=F, xaxt="n", yaxt="n", ylim=c(0,3)) 
axis(1, labels=F, tcl=0.5) 
axis(2, labels=T, tcl=0.5, family="serif")
mtext(c("Small","Medium\n Edge","Medium\n Interior", "Large\n Edge","Large\n Interior","Control"), 1, at=1:6, line=1.5, family="serif") 
text(c(1:2, 4),3,"*", family="serif", cex=1.5) 
text(3,3,"**", family="serif", cex=1.5) 
text(5,3,"*", family="serif", cex=1.5) 
text(6.5,3,"b", family="serif", cex=1.5)
dev.off()
