#################################
###########  NOTA R  ############
#################################
rm(list=ls()) 
cat("\014")

#### EXERCCIO 107.1b ####
babies <- read.csv("babies.txt", sep="")
babies <- babies[babies$gestation!=999,] #Retirando os 999
babies$bwt <- babies$bwt/35.274 #Convertendo o peso para Kg
m1 <- lm(babies$bwt~babies$gestation)
summary(m1)
m1$df.residual
x <- seq(min(babies$gestation), max(babies$gestation), length.out= 100)
s2 <- var(babies$bwt, na.rm = T)
n <- 1/length(babies$gestation)
xx2 <- (x-mean(babies$gestation))^2
ssx <- sum(xx2)
(sey <- sqrt(s2*(n + xx2/ssx)))
(t <- qt(0.975, m1$df.residual))
(est <- coef(m1)[1] + coef(m1)[2]*x)
(sup <- est+(t*sey))
(inf <- est-(t*sey))
plot(babies$bwt~babies$gestation, xlab= "Tempo de gestao (dias)", ylab = "Peso do beb (Kg)", las = 1)
abline(m1, lwd= 3)
lines(x=x, y=sup, col="red", lwd= 2)
lines(x=x, y=inf, col="red", lwd= 2)

#### EXERCCIO 107.2b ####
init.h = c(600, 700, 800, 950, 1100, 1300, 1500)
h.d = c(253, 337, 395, 451, 495, 534, 573)
mod1 <- lm(h.d~init.h)
mod2 <- lm(h.d~init.h+I(init.h^2))
mod3 <- lm(h.d~init.h+I(init.h^2)+I(init.h^3))
anova(mod1,mod2)
anova(mod2,mod3)
plot(h.d~init.h)
abline(mod1)
cf.m2 <- coef(mod2)
cf.m3 <- coef(mod3)
curve(cf.m2[1]+cf.m2[2]*x+cf.m2[3]*x^2, add=T, lty=2)
curve(cf.m3[1]+cf.m3[2]*x+cf.m3[3]*x^2 +cf.m3[4]*x^3, add=T, lwd=2, lty=1, col= "blue")
#Sim, pois quanto mais aumentar o grau do polinmio, mais a curva se ajustara ao seus dados

#### EXERCCIO 107.3b ####
require(MASS)
babies <- read.csv("babies.txt", sep="")
babies <- babies[babies$bwt!=999,] #Retirando os 999
babies <- babies[babies$gestation!=999,] #Retirando os 999
babies <- babies[babies$parity!=9,] #Retirando os 9
babies <- babies[babies$age!=99,] #Retirando os 99
babies <- babies[babies$height!=99,] #Retirando os 99
babies <- babies[babies$weight!=999,] #Retirando os 999
babies <- babies[babies$smoke!=9,] #Retirando os 9
babies$bwt <- babies$bwt/35.274 #Convertendo o peso para Kg
m0 <- lm(bwt ~ gestation*parity*age*height*weight*smoke, data=babies)
summary(m0)
bffm <- stepAIC(m0)
summary(bffm)
m1 <- update(m0,.~. -gestation:parity:age:height:weight:smoke, data=babies)
summary(m1)
anova(m0,m1)
m2 <- step(m1) #seleo de modelo evitando fazer +-20 comparaes
anova(m1,m2)
summary(m2)   
m3 <- update(m2,.~. -gestation:parity:age:height, data=babies)  
m4 <- update(m2,.~. -gestation:age:height:weight, data=babies)
m5 <- update(m2,.~. -parity:age:height:weight, data=babies)
anova(m2,m3)
anova(m2,m4)
anova(m2,m5)
summary(m3)   #melhor modelo a partir do uso de step e posteriormente anovas com modelos simplificados
#melhor modelo => bwt ~ gestation + parity + age + height + weight + smoke + gestation:parity + gestation:age + parity:age + gestation:height +   parity:height + age:height + gestation:weight + parity:weight +   age:weight + height:weight + gestation:smoke + parity:smoke +   age:smoke + weight:smoke + gestation:parity:age + gestation:parity:height +   gestation:age:height + parity:age:height + gestation:age:weight +   parity:age:weight + gestation:height:weight + parity:height:weight +   age:height:weight + gestation:age:smoke + parity:weight:smoke +   gestation:age:height:weight + parity:age:height:weight
