####Exerccios 5 - Criao de Grficos####
########Anne Elise - 20/05/2019##########

#Usando o conjunto de dados Conjunto de Dados: Dados de Biomassa de rvores de Eucalyptus Saligna, construa os seguintes grficos:
  

#5.1 Editando alguns parmetros grficos

#Leia os dados Conjunto de Dados: Biomassa de rvores de Eucalyptus saligna em um objeto chamado saligna
setwd("C:/Users/annel/Desktop/Doutorado/Disciplinas e Cursos/Curso R - USP")
saligna <- read.table("esaligna.csv", header=T, sep=",", as.is=T)
head(saligna)
windows()

#Marcaes da escala dos eixos (ticks marks) para dentro da rea do grfico com tamanho de 0.3 do tamanho da linha.
#crculo preenchido
#Apenas as linhas referentes/ aos eixos x e y (formato "L")
#Valores do eixo y na horizontal
png(filename = "saligna.png")

par(pch=19, tcl= 0.3, bty="l")

#Use o simbolo de crculo preenchido aumentado em 40%, na cor vermelha (OK)
plot(saligna$dap~saligna$ht, 
     cex = 1.4, 
     col="red",
     main= "Eucalypthus saligna", 
     cex.main= 1.8, 
     xlab="", ylab="",
     las=1)

#Legendas dos eixos com nomes das variveis e suas unidades da seguinte forma:
#x: Dimetro  altura do peito (cm)
#y: Altura (m)
#Tamanho das fontes e legendas dos eixos com 50% e 70% de aumento que o padro, respectivamente
mtext("Altura (m)", 
      cex=1.5,
      side=2,
      las=0,
      line=2.4)
mtext("Dimetro  altura do peito (cm)",
      cex=1.7,
      side=1,
      las=0,
      line=2.4)

#Salve o grfico no formato png no arquivo saligna.png no diretrio de trabalho atual.

dev.off()
dir(pattern = "saligna")
graphics.off()


#####5.2 Dois grficos juntos

#Use as variveis "dap" e "talhao" para construir dois grficos, colocando-os lado a lado.

#O primeiro deve ser um grfico de desenho de caixa (boxplot) da varivel "dap" em funo do fator "talho".

med <- tapply(saligna$dap, INDEX= saligna$talhao, FUN=mean)
dp <- tapply(saligna$dap, INDEX= saligna$talhao, FUN=sd)

mat <- matrix(c(med, dp), nrow =6, ncol = 2, byrow = F)


png(filename = "DAP.png",
    width = 480, height = 480, units = "px", pointsize = 12,
    bg = "white",  res = NA,
    type = c("xlib"))


x11()
par(mfrow=c(1,2))
par(pch=19, tcl= 0.3, bty="l")
boxplot(saligna$dap~saligna$talhao, 
        cex = 1.4, 
        xlab="", ylab="",
        las=1,
        main = "A",
        cex.main= 1.8)
mtext("Talho", 
      cex=1.5,
      side=2,
      las=0,
      line=2.5)
mtext("Dimetro  altura do peito (cm)",
      cex=1.7,
      side=1,
      las=0,
      line=2.5)

#O segundo deve ter apenas a mdia e uma barra de desvio-padro do dap, para cada talho.

par(pch=19, tcl= 0.3, bty="l")
plot(mat, 
     xlab="", ylab="",
     cex = 1.4, 
     col= c("#e41a1c", "#377eb8", "#4daf4a", "#984ea3", "#ff7f00", "#ffff33"),
     cex.main= 1.9, 
     las=1,
     ylim = c(3.5, 6.5),
     xlim=c(10,16),
     main = "B",
     cex.main= 1.8)
mtext("Desvio Padro", 
      cex=1.5,
      side=2,
      las=0,
      line=2.8)
mtext("Mdia do DAP",
      cex=1.7,
      side=1,
      las=0,
      line=2.8)


legend(locator(1), legend= c("16", "17", "18", "22", "23", "32"),
       col = c("#e41a1c", "#377eb8", "#4daf4a", "#984ea3", "#ff7f00", "#ffff33"),
       pch=19, bg= 'transparent', horiz = T )
       
?legend
graphics.off()
dev.off()

#Mantenha o mesmo padro de formatao do exerccio anterior.
#Insira tambm uma letra para dizer qual  o grfico "a" e qual  o "b" (tanto faz, quem  um e quem  outro).



######5.3 Adivinhando o cdigo
#Leia os dados deste arquivo e usando as variveis "x1" e "y1" e "x2" e "y2" tente reproduzir esta figura:

dir(pattern = "exer")
ex <- read.table("exercicio3.csv", header=T, sep=",", as.is=T)

x11()
par(mfrow=c(1,2), bty="l", tcl=0.3)
plot(ex$x1,ex$y1,
     xlab="", ylab="",
     pch = 17,
     cex = 1.3,
     ylim = c(0,3),
     xlim = c(0.5, 2.2),
     family="serif")
mtext("Euclidean distances", 
      cex=1.1,
      side=2,
      las=0,
      line=2.8,
      family="serif")
mtext("Log(Patch size)(ha)",
      cex=1.0,
      side=1,
      las=0,
      line=2.8,
      family="serif")
lines(x= c(0.5,2.17), 
      y= c(2.25,0.99), 
      type= "l",
      cex=4,
      lty=1,
      lwd=3)
text(x=2.2,y=3.0,"a", cex=1.5, family="serif")

boxplot(ex$x2~ex$y2, 
        ylim=c(0.0,3.0), 
        xaxt="n",
        cex=1,
        levels = levels(ex$y2)[c(6,4,5,2,3,1)], 
        outline=FALSE,
        mar=c(5,5,2,2))
axis(1, 1:6, 
     c("Small","Medium\n Edge",
       "Medium\n Interior", "Large\n Edge",
       "Large\n Interior","Control"),
     cex.axis=1, 
     family="serif",
     padj=0.25)
text(x=6.5,y=3.0,"b", cex=1.5, family="serif")
text(x=c(1:6), y=3.0, c("*","*","**","*","***",""), cex=1.5)

dev.off()

#locator(1)

