#####7b. Exerccios de Regresso Mltipla

#Uma estimativa da incerteza na previso do modelo

#Antes de passarmos para os exerccios de regresses mltiplas, vamos revisar a regresso simples mais uma vez. Uma forma de avaliar a incerteza na previso de um modelo de regresso  fazer um grfico com o intervalo de confiana de 95% da previso do modelo. Para isso  preciso estimar esse intervalo da previso e plotar um grfico com os dados, o modelo e as curvas do intervalo de confiana.
#Para estimar o intervalo de confiana  preciso calcular o erro padro da previso do modelo e multiplicar pelo valor t de Student, para n-2 graus de liberdade. O erro padro no  constante para todos os valores previstos, pode variar de acordo com o valor da varivel preditora de acordo com a frmula:

#Construa esse grfico para avaliar a incerteza do modelo para a relao peso do beb (kg) ~ tempo de gestao (dias) dos dados Massa ao Nascer e Dados da me, usando a frmula acima para estimar o intervalo de confiana de 95%.

setwd("C:/Users/annel/Desktop/Doutorado/Disciplinas e Cursos/Curso R - USP")
bebes <- read.table("babies.txt", header= TRUE, as.is = TRUE, sep= " ")
str(bebes)

bebes$gestation[bebes$gestation == 999] = NA
bebes$weight[bebes$weight == 999] = NA
bebes$parity[bebes$parity == 9] = NA
bebes$age[bebes$age == 99] = NA
bebes$height[bebes$height == 99] = NA
bebes$smoke[bebes$smoke == 9] = NA

bebes.2 = na.omit(bebes)

# onca em kg

bebes.2$bwt = bebes.2$bwt * 0.0283495 

# Convertendo libra em kg

bebes.2$weight = bebes.2$weight * 0.45359237

# Convertendo polegada em cm 

bebes.2$height = bebes.2$height * 2.54

summary(bebes.2)


# Modelo Simples

lm.bebes = lm(bwt ~ gestation, data = bebes.2)

# Sequencia de dias de gestacao

gestation = seq(from = min(bebes.2$gestation), to = max(bebes.2$gestation), length.out = 100)

coef.bebes = coef(lm.bebes)

y.prev = coef.bebes[1] + coef.bebes[2]*gestation 

summary(y.prev)

# Erro padro

s2 = var(bebes.2$bwt)
SSX = sum((bebes.2$gestation - mean(bebes.2$gestation))^2)


se = sqrt(s2 * ((1/length(bebes.2$gestation)) + ((gestation - mean(bebes.2$gestation))^2 / SSX)))

se

# valor de t --> quantis 97,5 e 2,5 da estimativa

qt(0.975, length(bebes.2$bwt) - 2) # valor de t

erro = se * qt(0.975, length(bebes.2$bwt) - 2) 

# intervalo de confianca

limit.sup = y.prev + erro
limit.inf = y.prev - erro

#Grfico

par(mar = c(4,4,2,2), cex.lab = 1.5, cex.axis = 1.2, las = 1, bg = "gray90", bty = "n")
plot(NA, type = "n", axes = F, ann = F, xlim = range(bebes.2$bwt), ylim = range(bebes.2$gestation) )
plot(bwt ~ gestation, data = bebes.2,  xlab = "Tempo de gestao (dias)", ylab = "Peso do beb (kg)", pch = 19,cex= 1.5, col = rgb(0,0,1, 0.4))
abline(lm.bebes, col = 2)
lines(x = gestation, y = limit.sup, col = 4)
lines(x = gestation, y = limit.inf, col = 4)

newx <- seq(min(bebes.2$gestation) -10, max(bebes.2$gestation) + 10, length.out=100)
preds <- predict(mod.simples, newdata = data.frame(gestation = newx), 
                 interval = 'confidence')
table(rbind(head(preds),tail(preds)))


polygon(c(rev(newx), newx), c(rev(preds[ ,3]), preds[ ,2]),
        col = rgb(0,0,0,0.2), border = NA)
abline(mod.simples, lwd = 2.5, col = "black")



#Galileu estava Certo?
  #Partindo do tutorial Ajuste de Polinmios, avalie se um polinmio de terceiro grau  um melhor modelo para descrever os dados do experimento de Galileu. A equao para este modelo :
init.h = c(600, 700, 800, 950, 1100, 1300, 1500)
h.d = c(253, 337, 395, 451, 495, 534, 573)

plot(h.d~init.h)

mod1 <- lm(h.d~init.h)

mod2 <- update(mod1,.~. +I(init.h^2))

mod3 <- update(mod2,.~. +I(init.h^3))

anova(mod1,mod2)
anova(mod2, mod3)

abline(mod1)
cf.m2 <- coef(mod2)
curve(cf.m2[1]+cf.m2[2]*x+cf.m2[3]*x^2, add=T, lty=2, col ="blue")
cf.m3 <- coef(mod3)
curve(cf.m3[1]+cf.m3[2]*x+cf.m3[3]*x^2+cf.m3[4]*x^3, add=T, lty = 5, col = "red")
###Terceiro modelo  o mais ajustado aos dados

#Massa de Recm-Nascidos
#Utilize todas as variveis disponveis no conjunto de dados Massa ao Nascer e Dados da me para chegar ao melhor modelo de previso da massa de bebs ao nascer.


pairs(bebes.2, panel = panel.smooth)


mlfull <- lm(bwt ~ gestation*parity*age*height*weight*smoke, data = bebes)
summary(mlfull)

# Modelo 2: retirando as interacoes triplas

modelo.2 = lm(bwt ~ gestation + smoke + height + weight + age + parity + gestation:smoke + gestation:height + gestation:weight + gestation:age + gestation:parity + smoke:height + smoke:weight + smoke:age + smoke:parity + height:weight + height:age + height:parity + weight:age + weight:parity + age:parity, data = bebes.2)

anova(mlfull, modelo.2)            
summary(modelo.2)

#Modelo 3: interaes duplas

modelo.3 = lm(bwt ~ gestation + smoke + height + weight + age + parity + gestation:smoke + gestation:weight + gestation:age + gestation:parity + smoke:height + smoke:weight + smoke:age + smoke:parity + height:weight + height:age + height:parity + weight:age + weight:parity + age:parity, data = bebes.2)

anova(modelo.2, modelo.3)

modelo.4 = lm(bwt ~ gestation + smoke + height + weight + age + parity + gestation:smoke + gestation:age + gestation:parity + smoke:height + smoke:weight + smoke:age + smoke:parity + height:weight + height:age + height:parity + weight:age + weight:parity + age:parity, data = bebes.2)

anova(modelo.2, modelo.4)


modelo.5 = lm(bwt ~ gestation + smoke + height + weight + age + parity + gestation:smoke + gestation:age + gestation:parity + smoke:weight + smoke:age + smoke:parity + height:weight + height:age + height:parity + weight:age + weight:parity + age:parity, data = bebes.2)

anova(modelo.2, modelo.5)

modelo.6 = lm(bwt ~ gestation + smoke + height + weight + age + parity + gestation:smoke + gestation:age + gestation:parity + smoke:age + smoke:parity + height:weight + height:age + height:parity + weight:age + weight:parity + age:parity, data = bebes.2)

anova(modelo.2, modelo.6)

modelo.7 = lm(bwt ~ gestation + smoke + height + weight + age + parity + gestation:smoke + gestation:age + gestation:parity + smoke:age + smoke:parity + height:age + height:parity + weight:age + weight:parity + age:parity, data = bebes.2)

anova(modelo.2, modelo.7)


modelo.8 = lm(bwt ~ gestation + smoke + height + weight + age + parity + gestation:smoke + gestation:age + gestation:parity + smoke:age + smoke:parity + weight:age + weight:parity + age:parity, data = bebes.2)

anova(modelo.2, modelo.8)


modelo.9 = lm(bwt ~ gestation + smoke + height + weight + age + parity + gestation:smoke + gestation:age + gestation:parity + smoke:age + smoke:parity + weight:age + age:parity, data = bebes.2)

anova(modelo.2, modelo.9)

modelo.10 = lm(bwt ~ gestation + smoke + height + weight + age + parity + gestation:smoke + gestation:age + gestation:parity + smoke:age + smoke:parity + age:parity, data = bebes.2)

anova(modelo.2, modelo.10)

modelo.11 = lm(bwt ~ gestation + smoke + height + weight + age + parity + gestation:smoke + gestation:age + gestation:parity + smoke:age + smoke:parity , data = bebes.2)

modelo.12 = lm(bwt ~ gestation + smoke + height + weight + age + parity + gestation:smoke + gestation:age, data = bebes.2)

anova(modelo.2, modelo.12)

###Melhor modelo -> Modelo 12

#Parta do arquivo acima e no do que foi usado no tutorial. Antes de comear, elimine as observaes com dados faltantes, veja descrio do arquivo.