# Exerccios 7b
  # Regresses Mltiplas
  # Por Beatriz F. Fernandes

#Uma estimativa da incerteza na previso do modelo  

     # Uma forma de avaliar a incerteza na previso de um modelo de regresso  fazer um grfico com o intervalo de confiana de 95% da previso do modelo. Para isso  preciso estimar esse intervalo da previso e plotar um grfico com os dados, o modelo e as curvas do intervalo de confiana. Para estimar o intervalo de confiana  preciso calcular o erro padro da previso do modelo e multiplicar pelo valor t de Student, para n-2 graus de liberdade. 

     # O erro padro no  constante para todos os valores previstos, pode variar de acordo com o valor da varivel preditora de acordo com a frmula:
     # sey=sqrt(s2[1/n+(x-x)^2/SSX])
     # onde:
         #SSX: soma dos desvios quadrticos dos valores de x observados;
         #s2: varincia dos valores de y observados;
         #n: nmero de observaes;
         #x : valor da varivel preditora para o qual se quer estimar o erro padro;
         #x : mdia dos valores de x observados.

     # Passo 1: Carregar os dados e remover os indesejados
       babies <- read.table(file= "babies.csv", header= T, sep= " ",dec= ".", as.is=T)
       head(babies)                                        #Confere se est tudo bem
       str(babies)                                         #Confere se est tudo bem
       babies.2 <- babies[(babies$bwt!=999 &               #Pede valores diferentes que os idesejados para as diferentes variveis.
                           babies$gestation!=999 &
                           babies$parity!=9 &
                           babies$age!=99 &
                           babies$height!=99 &
                           babies$weight!=999 &
                           babies$smoke!=9),]
       head(babies.2)                                       #Confere se est tudo bem
       str(babies.2)                                        #Confere se est tudo bem
     
     # Passo 2: Criar o modelo linear = peso do beb (kg) ~ tempo de gestao (dias)
       babies.2$pesokg <- babies.2$bwt*0.0283495            #O peso nos dados originais est em onas e precisa ser convertido
       head(babies.2)                                       #Confere se est tudo bem
       str(babies.2)                                        #Confere se est tudo bem
       lm.babies2 <- lm(pesokg ~ gestation, data= babies.2) #Cria o modelo pedido
       summary(lm.babies2)                                  #Pede o resumo do modelo criado
       
     # Passo 3: Calcular o erro padro a partir da frmula apresentada
       ssx <- sum((babies.2$gestation - mean(babies.2$gestation))^2)#Calcula a soma dos desvios quadrticos dos valores de x observados
       ssx                                                          #Chama qual  esse valor, para ver se est tudo bem
       limites <- range(babies.2$gestation)                         #Define um objeto com os valores mnimo e mximo de x
       limites                                                      #Chama os valores, para ver se est tudo bem
       pred <- seq(from= limites[1], to= limites[2], len=100)       #Cria 100 valores de x preditos dentro dos limites observados
       pred                                                         #Confere se est tudo bem
       desv.pred <- (pred - mean(babies.2$gestation))^2             #(x.predito-media.x.obs)^2
       desv.pred                                                    #Confere se est tudo bem
       n <- length(babies.2$gestation)                              #Define o valor de n
       n                                                            #Confere se est tudo bem
       s2 <- var(babies.2$pesokg)                                   #Calcula a varincia dos valores de y observados
       s2                                                           #Confere se est tudo bem
       erro <- sqrt(s2*(1/n)+(desv.pred/ssx))                       #Aplica a frmula para encontrar o erro padro.
       erro                                                         #Confere se est tudo bem

    # Passo 4: Calcular o valor de t de Student
      tvalor <- qt(0.025, df=n-2)                                 #Como queremos um intervalo de confiana de 95%, queremos usar a funo de quantil para saber qual  o valor que ocupa a posio de 2,5% dos dados (considerando os 5% bicaudal). No nosso caso, n-2 = 1234.
          
    # Passo 5: Multiplicar erro padro por valor de t para obter intervalo de confiana
      int.conf <- erro * tvalor                                 #Calcula o intervalo de confiana para cada valor previsto
      coef <- coef(lm.babies2)                                  #Pede os coeficientes do modelo
      a <- coef[1]                                              #Isola intercepto
      b <- coef[2]                                              #Isola inclinao
      upper <- (a+b*c(pred)) + abs(int.conf)                    #Calcula o intervalo de confiana no eixo y acima da reta
      lower <- (a+b*c(pred)) - abs(int.conf)                    #Calcula o intervalo de confiana no eixo y abaixo da reta
          
    #Passo 6: Criar o grfico
       #Criar o espao para plotagem vazio
       plot(  NULL,
              mar=c(4,4,1,1),
              las=1,
              bty="n",
              pch="",
              col=rgb(0,0,1,0.5),
              ylab="Peso do beb ao nascer (kg)",
              xlab="Durao da gestao (dias)",
              ylim=c(1,5),
              xlim=c(limites[1],limites[2]),           
              main="",
              sub="",
              family="serif")
       
       #Plotar os valores observados
       points(babies.2$pesokg ~ babies.2$gestation,
              pch=1,
              col=rgb(0,0,0,0.7),
              cex=0.5)
              
       #Colocar a reta prevista pelo modelo
       abline(a= coef[1],
              b= coef[2],
              lwd= 3,
              col=rgb(0.5,1,0.5))
              
       #Criar o polgono com o intervalo de confiana
       polygon(c(rev(pred), pred),                    #Cordenadas no eixo x
               c(rev(upper), lower),                  #Cordenadas no eixo y
               col = rgb(0.5,1,0.5,0.2), 
               border = NA)

# Galileu estava Certo?

   #Partindo do tutorial Ajuste de Polinmios, avalie se um polinmio de terceiro grau  um melhor modelo para descrever os dados do experimento de Galileu. As alturas de lanamentos e as distncias percorridas obtidas por Galileu so:
       init.h = c(600, 700, 800, 950, 1100, 1300, 1500)
       h.d = c(253, 337, 395, 451, 495, 534, 573)#Cria os vetores a serem analisados
       gali.3 <- lm(h.d ~ init.h + I(init.h^2) + I(init.h^3))#Cria o modelo cheio, com elemento de terceiro grau
       gali.2 <- lm(h.d ~ init.h + I(init.h^2))#Cria um modelo simplificado, eliminando terceiro grau
       anova(gali.3, gali.2)#Compara esses dois modelos por ANOVA.
       
       #Concluso: Existe uma diferena significativa entre os dois modelos, com p=0.00715. Esse resultado nos diz que o modelo mais complexo (gali.3)  significativamente melhor para explicar as variaes encontradas nos dados, no podendo ser simplificado. Nesse caso, o modelo cheio coincide com o modelo mnimo adequado!
       #Com isso, podemos utilizar os valores estimados pelo modelo para montar a equao polinomial:
            # y = -7.815729e+02 + 2.771023e+00*init.h - 2.066508e-03*init.h^2 + 5.477104e-07*init.h^3 
        
# Massa de Recm-Nascidos

   #Utilize todas as variveis disponveis no conjunto de dados Massa ao Nascer e Dados da me para chegar ao melhor modelo de previso da massa de bebs ao nascer.
       #Define modelo cheio
       #Define um modelo simplificado
       #Compara os dois modelos por ANOVA, par a par.
bbFull <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke +
                                      gestation:parity:age +
                                      gestation:parity:height +
                                      gestation:parity:weight +
                                      gestation:parity:smoke +
                                      gestation:age:height +
                                      gestation:age:weight +
                                      gestation:age:smoke +
                                      gestation:height:weight +
                                      gestation:height:smoke +
                                      gestation:weight:smoke +
                                      parity:age:height +
                                      parity:age:weight +
                                      parity:age:smoke +
                                      parity:height:weight +
                                      parity:height:smoke +
                                      parity:weight:smoke +
                                      age:height:weight +
                                      age:height:smoke +
                                      age:weight:smoke +
                                      height:weight:smoke +
                                                          gestation:parity:age:height +
                                                          gestation:parity:age:weight +
                                                          gestation:parity:age:smoke +
                                                          gestation:age:height:weight +
                                                          gestation:age:height:smoke +
                                                          gestation:height:weight:smoke +
                                                          parity:age:height:weight +
                                                          parity:age:height:smoke +
                                                          age:height:weight:smoke +
                                                                                   gestation:parity:age:height:weight +
                                                                                   gestation:parity:age:height:smoke +
                                                                                   gestation:parity:age:weight:smoke +
                                                                                   gestation:parity:height:weight:smoke +
                                                                                   gestation:age:height:weight:smoke +
                                                                                   parity:age:height:weight:smoke +
                                                                                                                   gestation:parity:age:height:weight:smoke,data= babies.2)
                                                                                                                   
bb.all5 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke +
                                      gestation:parity:age +
                                      gestation:parity:height +
                                      gestation:parity:weight +
                                      gestation:parity:smoke +
                                      gestation:age:height +
                                      gestation:age:weight +
                                      gestation:age:smoke +
                                      gestation:height:weight +
                                      gestation:height:smoke +
                                      gestation:weight:smoke +
                                      parity:age:height +
                                      parity:age:weight +
                                      parity:age:smoke +
                                      parity:height:weight +
                                      parity:height:smoke +
                                      parity:weight:smoke +
                                      age:height:weight +
                                      age:height:smoke +
                                      age:weight:smoke +
                                      height:weight:smoke +
                                                          gestation:parity:age:height +
                                                          gestation:parity:age:weight +
                                                          gestation:parity:age:smoke +
                                                          gestation:age:height:weight +
                                                          gestation:age:height:smoke +
                                                          gestation:height:weight:smoke +
                                                          parity:age:height:weight +
                                                          parity:age:height:smoke +
                                                          age:height:weight:smoke +
                                                                                   gestation:parity:age:height:weight +
                                                                                   gestation:parity:age:height:smoke +
                                                                                   gestation:parity:age:weight:smoke +
                                                                                   gestation:parity:height:weight:smoke +
                                                                                   gestation:age:height:weight:smoke +
                                                                                   parity:age:height:weight:smoke,data= babies.2)
       #A anova entre bbFull e bb.all5 no foi significativa. Vamos continuar a reduo do modelo a partir da.

bb.all5.1 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke +
                                      gestation:parity:age +
                                      gestation:parity:height +
                                      gestation:parity:weight +
                                      gestation:parity:smoke +
                                      gestation:age:height +
                                      gestation:age:weight +
                                      gestation:age:smoke +
                                      gestation:height:weight +
                                      gestation:height:smoke +
                                      gestation:weight:smoke +
                                      parity:age:height +
                                      parity:age:weight +
                                      parity:age:smoke +
                                      parity:height:weight +
                                      parity:height:smoke +
                                      parity:weight:smoke +
                                      age:height:weight +
                                      age:height:smoke +
                                      age:weight:smoke +
                                      height:weight:smoke +
                                                          gestation:parity:age:height +
                                                          gestation:parity:age:weight +
                                                          gestation:parity:age:smoke +
                                                          gestation:age:height:weight +
                                                          gestation:age:height:smoke +
                                                          gestation:height:weight:smoke +
                                                          parity:age:height:weight +
                                                          parity:age:height:smoke +
                                                          age:height:weight:smoke +
                                                                                   
                                                                                   gestation:parity:age:height:smoke +
                                                                                   gestation:parity:age:weight:smoke +
                                                                                   gestation:parity:height:weight:smoke +
                                                                                   gestation:age:height:weight:smoke +
                                                                                   parity:age:height:weight:smoke,data= babies.2)
   
bb.all5.2 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke +
                                      gestation:parity:age +
                                      gestation:parity:height +
                                      gestation:parity:weight +
                                      gestation:parity:smoke +
                                      gestation:age:height +
                                      gestation:age:weight +
                                      gestation:age:smoke +
                                      gestation:height:weight +
                                      gestation:height:smoke +
                                      gestation:weight:smoke +
                                      parity:age:height +
                                      parity:age:weight +
                                      parity:age:smoke +
                                      parity:height:weight +
                                      parity:height:smoke +
                                      parity:weight:smoke +
                                      age:height:weight +
                                      age:height:smoke +
                                      age:weight:smoke +
                                      height:weight:smoke +
                                                          gestation:parity:age:height +
                                                          gestation:parity:age:weight +
                                                          gestation:parity:age:smoke +
                                                          gestation:age:height:weight +
                                                          gestation:age:height:smoke +
                                                          gestation:height:weight:smoke +
                                                          parity:age:height:weight +
                                                          parity:age:height:smoke +
                                                          age:height:weight:smoke +
                                                                                   gestation:parity:age:height:weight +
                                                                                   
                                                                                   gestation:parity:age:weight:smoke +
                                                                                   gestation:parity:height:weight:smoke +
                                                                                   gestation:age:height:weight:smoke +
                                                                                   parity:age:height:weight:smoke,data= babies.2)
                                                                                   
bb.all5.3 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke +
                                      gestation:parity:age +
                                      gestation:parity:height +
                                      gestation:parity:weight +
                                      gestation:parity:smoke +
                                      gestation:age:height +
                                      gestation:age:weight +
                                      gestation:age:smoke +
                                      gestation:height:weight +
                                      gestation:height:smoke +
                                      gestation:weight:smoke +
                                      parity:age:height +
                                      parity:age:weight +
                                      parity:age:smoke +
                                      parity:height:weight +
                                      parity:height:smoke +
                                      parity:weight:smoke +
                                      age:height:weight +
                                      age:height:smoke +
                                      age:weight:smoke +
                                      height:weight:smoke +
                                                          gestation:parity:age:height +
                                                          gestation:parity:age:weight +
                                                          gestation:parity:age:smoke +
                                                          gestation:age:height:weight +
                                                          gestation:age:height:smoke +
                                                          gestation:height:weight:smoke +
                                                          parity:age:height:weight +
                                                          parity:age:height:smoke +
                                                          age:height:weight:smoke +
                                                                                   gestation:parity:age:height:weight +
                                                                                   gestation:parity:age:height:smoke +
                                                                                   
                                                                                   gestation:parity:height:weight:smoke +
                                                                                   gestation:age:height:weight:smoke +
                                                                                   parity:age:height:weight:smoke,data= babies.2)      
                                                                                                                                       bb.all5.4 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke +
                                      gestation:parity:age +
                                      gestation:parity:height +
                                      gestation:parity:weight +
                                      gestation:parity:smoke +
                                      gestation:age:height +
                                      gestation:age:weight +
                                      gestation:age:smoke +
                                      gestation:height:weight +
                                      gestation:height:smoke +
                                      gestation:weight:smoke +
                                      parity:age:height +
                                      parity:age:weight +
                                      parity:age:smoke +
                                      parity:height:weight +
                                      parity:height:smoke +
                                      parity:weight:smoke +
                                      age:height:weight +
                                      age:height:smoke +
                                      age:weight:smoke +
                                      height:weight:smoke +
                                                          gestation:parity:age:height +
                                                          gestation:parity:age:weight +
                                                          gestation:parity:age:smoke +
                                                          gestation:age:height:weight +
                                                          gestation:age:height:smoke +
                                                          gestation:height:weight:smoke +
                                                          parity:age:height:weight +
                                                          parity:age:height:smoke +
                                                          age:height:weight:smoke +
                                                                                   gestation:parity:age:height:weight +
                                                                                   gestation:parity:age:height:smoke +
                                                                                   gestation:parity:age:weight:smoke +
                                                                                   
                                                                                   gestation:age:height:weight:smoke +
                                                                                   parity:age:height:weight:smoke,data= babies.2)       
bb.all5.5 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke +
                                      gestation:parity:age +
                                      gestation:parity:height +
                                      gestation:parity:weight +
                                      gestation:parity:smoke +
                                      gestation:age:height +
                                      gestation:age:weight +
                                      gestation:age:smoke +
                                      gestation:height:weight +
                                      gestation:height:smoke +
                                      gestation:weight:smoke +
                                      parity:age:height +
                                      parity:age:weight +
                                      parity:age:smoke +
                                      parity:height:weight +
                                      parity:height:smoke +
                                      parity:weight:smoke +
                                      age:height:weight +
                                      age:height:smoke +
                                      age:weight:smoke +
                                      height:weight:smoke +
                                                          gestation:parity:age:height +
                                                          gestation:parity:age:weight +
                                                          gestation:parity:age:smoke +
                                                          gestation:age:height:weight +
                                                          gestation:age:height:smoke +
                                                          gestation:height:weight:smoke +
                                                          parity:age:height:weight +
                                                          parity:age:height:smoke +
                                                          age:height:weight:smoke +
                                                                                   gestation:parity:age:height:weight +
                                                                                   gestation:parity:age:height:smoke +
                                                                                   gestation:parity:age:weight:smoke +
                                                                                   gestation:parity:height:weight:smoke +
                                                                                   
                                                                                   parity:age:height:weight:smoke,data= babies.2)                                                                                                     
bb.all5.6 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke +
                                      gestation:parity:age +
                                      gestation:parity:height +
                                      gestation:parity:weight +
                                      gestation:parity:smoke +
                                      gestation:age:height +
                                      gestation:age:weight +
                                      gestation:age:smoke +
                                      gestation:height:weight +
                                      gestation:height:smoke +
                                      gestation:weight:smoke +
                                      parity:age:height +
                                      parity:age:weight +
                                      parity:age:smoke +
                                      parity:height:weight +
                                      parity:height:smoke +
                                      parity:weight:smoke +
                                      age:height:weight +
                                      age:height:smoke +
                                      age:weight:smoke +
                                      height:weight:smoke +
                                                          gestation:parity:age:height +
                                                          gestation:parity:age:weight +
                                                          gestation:parity:age:smoke +
                                                          gestation:age:height:weight +
                                                          gestation:age:height:smoke +
                                                          gestation:height:weight:smoke +
                                                          parity:age:height:weight +
                                                          parity:age:height:smoke +
                                                          age:height:weight:smoke +
                                                                                   gestation:parity:age:height:weight +
                                                                                   gestation:parity:age:height:smoke +
                                                                                   gestation:parity:age:weight:smoke +
                                                                                   gestation:parity:height:weight:smoke +
                                                                                   gestation:age:height:weight:smoke,
                                                                                   data= babies.2)

bb.all4 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke +
                                      gestation:parity:age +
                                      gestation:parity:height +
                                      gestation:parity:weight +
                                      gestation:parity:smoke +
                                      gestation:age:height +
                                      gestation:age:weight +
                                      gestation:age:smoke +
                                      gestation:height:weight +
                                      gestation:height:smoke +
                                      gestation:weight:smoke +
                                      parity:age:height +
                                      parity:age:weight +
                                      parity:age:smoke +
                                      parity:height:weight +
                                      parity:height:smoke +
                                      parity:weight:smoke +
                                      age:height:weight +
                                      age:height:smoke +
                                      age:weight:smoke +
                                      height:weight:smoke +
                                                          gestation:parity:age:height +
                                                          gestation:parity:age:weight +
                                                          gestation:parity:age:smoke +
                                                          gestation:age:height:weight +
                                                          gestation:age:height:smoke +
                                                          gestation:height:weight:smoke +
                                                          parity:age:height:weight +
                                                          parity:age:height:smoke +
                                                          age:height:weight:smoke,
                                                                                   data= babies.2)
                                                                                   
bb.all4.1 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke +
                                      gestation:parity:age +
                                      gestation:parity:height +
                                      gestation:parity:weight +
                                      gestation:parity:smoke +
                                      gestation:age:height +
                                      gestation:age:weight +
                                      gestation:age:smoke +
                                      gestation:height:weight +
                                      gestation:height:smoke +
                                      gestation:weight:smoke +
                                      parity:age:height +
                                      parity:age:weight +
                                      parity:age:smoke +
                                      parity:height:weight +
                                      parity:height:smoke +
                                      parity:weight:smoke +
                                      age:height:weight +
                                      age:height:smoke +
                                      age:weight:smoke +
                                      height:weight:smoke +
                                                          
                                                          gestation:parity:age:weight +
                                                          gestation:parity:age:smoke +
                                                          gestation:age:height:weight +
                                                          gestation:age:height:smoke +
                                                          gestation:height:weight:smoke +
                                                          parity:age:height:weight +
                                                          parity:age:height:smoke +
                                                          age:height:weight:smoke,
                                                                                   data= babies.2)

bb.all4.2 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke +
                                      gestation:parity:age +
                                      gestation:parity:height +
                                      gestation:parity:weight +
                                      gestation:parity:smoke +
                                      gestation:age:height +
                                      gestation:age:weight +
                                      gestation:age:smoke +
                                      gestation:height:weight +
                                      gestation:height:smoke +
                                      gestation:weight:smoke +
                                      parity:age:height +
                                      parity:age:weight +
                                      parity:age:smoke +
                                      parity:height:weight +
                                      parity:height:smoke +
                                      parity:weight:smoke +
                                      age:height:weight +
                                      age:height:smoke +
                                      age:weight:smoke +
                                      height:weight:smoke +
                                                          gestation:parity:age:height +
                                                          
                                                          gestation:parity:age:smoke +
                                                          gestation:age:height:weight +
                                                          gestation:age:height:smoke +
                                                          gestation:height:weight:smoke +
                                                          parity:age:height:weight +
                                                          parity:age:height:smoke +
                                                          age:height:weight:smoke,
                                                                                   data= babies.2)
                                                                                   
bb.all4.3 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke +
                                      gestation:parity:age +
                                      gestation:parity:height +
                                      gestation:parity:weight +
                                      gestation:parity:smoke +
                                      gestation:age:height +
                                      gestation:age:weight +
                                      gestation:age:smoke +
                                      gestation:height:weight +
                                      gestation:height:smoke +
                                      gestation:weight:smoke +
                                      parity:age:height +
                                      parity:age:weight +
                                      parity:age:smoke +
                                      parity:height:weight +
                                      parity:height:smoke +
                                      parity:weight:smoke +
                                      age:height:weight +
                                      age:height:smoke +
                                      age:weight:smoke +
                                      height:weight:smoke +
                                                          gestation:parity:age:height +
                                                          gestation:parity:age:weight +
                                                          
                                                          gestation:age:height:weight +
                                                          gestation:age:height:smoke +
                                                          gestation:height:weight:smoke +
                                                          parity:age:height:weight +
                                                          parity:age:height:smoke +
                                                          age:height:weight:smoke,
                                                                                   data= babies.2)

bb.all4.4 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke +
                                      gestation:parity:age +
                                      gestation:parity:height +
                                      gestation:parity:weight +
                                      gestation:parity:smoke +
                                      gestation:age:height +
                                      gestation:age:weight +
                                      gestation:age:smoke +
                                      gestation:height:weight +
                                      gestation:height:smoke +
                                      gestation:weight:smoke +
                                      parity:age:height +
                                      parity:age:weight +
                                      parity:age:smoke +
                                      parity:height:weight +
                                      parity:height:smoke +
                                      parity:weight:smoke +
                                      age:height:weight +
                                      age:height:smoke +
                                      age:weight:smoke +
                                      height:weight:smoke +
                                                          gestation:parity:age:height +
                                                          gestation:parity:age:weight +
                                                          gestation:parity:age:smoke +
                                                          
                                                          gestation:age:height:smoke +
                                                          gestation:height:weight:smoke +
                                                          parity:age:height:weight +
                                                          parity:age:height:smoke +
                                                          age:height:weight:smoke,
                                                                                   data= babies.2)

bb.all4.5 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke +
                                      gestation:parity:age +
                                      gestation:parity:height +
                                      gestation:parity:weight +
                                      gestation:parity:smoke +
                                      gestation:age:height +
                                      gestation:age:weight +
                                      gestation:age:smoke +
                                      gestation:height:weight +
                                      gestation:height:smoke +
                                      gestation:weight:smoke +
                                      parity:age:height +
                                      parity:age:weight +
                                      parity:age:smoke +
                                      parity:height:weight +
                                      parity:height:smoke +
                                      parity:weight:smoke +
                                      age:height:weight +
                                      age:height:smoke +
                                      age:weight:smoke +
                                      height:weight:smoke +
                                                          gestation:parity:age:height +
                                                          gestation:parity:age:weight +
                                                          gestation:parity:age:smoke +
                                                          gestation:age:height:weight +
                                                          
                                                          gestation:height:weight:smoke +
                                                          parity:age:height:weight +
                                                          parity:age:height:smoke +
                                                          age:height:weight:smoke,
                                                                                   data= babies.2)

bb.all4.6 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke +
                                      gestation:parity:age +
                                      gestation:parity:height +
                                      gestation:parity:weight +
                                      gestation:parity:smoke +
                                      gestation:age:height +
                                      gestation:age:weight +
                                      gestation:age:smoke +
                                      gestation:height:weight +
                                      gestation:height:smoke +
                                      gestation:weight:smoke +
                                      parity:age:height +
                                      parity:age:weight +
                                      parity:age:smoke +
                                      parity:height:weight +
                                      parity:height:smoke +
                                      parity:weight:smoke +
                                      age:height:weight +
                                      age:height:smoke +
                                      age:weight:smoke +
                                      height:weight:smoke +
                                                          gestation:parity:age:height +
                                                          gestation:parity:age:weight +
                                                          gestation:parity:age:smoke +
                                                          gestation:age:height:weight +
                                                          gestation:age:height:smoke +
                                                          
                                                          parity:age:height:weight +
                                                          parity:age:height:smoke +
                                                          age:height:weight:smoke,
                                                                                   data= babies.2)

bb.all4.7 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke +
                                      gestation:parity:age +
                                      gestation:parity:height +
                                      gestation:parity:weight +
                                      gestation:parity:smoke +
                                      gestation:age:height +
                                      gestation:age:weight +
                                      gestation:age:smoke +
                                      gestation:height:weight +
                                      gestation:height:smoke +
                                      gestation:weight:smoke +
                                      parity:age:height +
                                      parity:age:weight +
                                      parity:age:smoke +
                                      parity:height:weight +
                                      parity:height:smoke +
                                      parity:weight:smoke +
                                      age:height:weight +
                                      age:height:smoke +
                                      age:weight:smoke +
                                      height:weight:smoke +
                                                          gestation:parity:age:height +
                                                          gestation:parity:age:weight +
                                                          gestation:parity:age:smoke +
                                                          gestation:age:height:weight +
                                                          gestation:age:height:smoke +
                                                          gestation:height:weight:smoke +
                                                          
                                                          parity:age:height:smoke +
                                                          age:height:weight:smoke,
                                                                                   data= babies.2)

bb.all4.8 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke +
                                      gestation:parity:age +
                                      gestation:parity:height +
                                      gestation:parity:weight +
                                      gestation:parity:smoke +
                                      gestation:age:height +
                                      gestation:age:weight +
                                      gestation:age:smoke +
                                      gestation:height:weight +
                                      gestation:height:smoke +
                                      gestation:weight:smoke +
                                      parity:age:height +
                                      parity:age:weight +
                                      parity:age:smoke +
                                      parity:height:weight +
                                      parity:height:smoke +
                                      parity:weight:smoke +
                                      age:height:weight +
                                      age:height:smoke +
                                      age:weight:smoke +
                                      height:weight:smoke +
                                                          gestation:parity:age:height +
                                                          gestation:parity:age:weight +
                                                          gestation:parity:age:smoke +
                                                          gestation:age:height:weight +
                                                          gestation:age:height:smoke +
                                                          gestation:height:weight:smoke +
                                                          parity:age:height:weight +
                                                          
                                                          age:height:weight:smoke,
                                                                                   data= babies.2)

bb.all4.9 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke +
                                      gestation:parity:age +
                                      gestation:parity:height +
                                      gestation:parity:weight +
                                      gestation:parity:smoke +
                                      gestation:age:height +
                                      gestation:age:weight +
                                      gestation:age:smoke +
                                      gestation:height:weight +
                                      gestation:height:smoke +
                                      gestation:weight:smoke +
                                      parity:age:height +
                                      parity:age:weight +
                                      parity:age:smoke +
                                      parity:height:weight +
                                      parity:height:smoke +
                                      parity:weight:smoke +
                                      age:height:weight +
                                      age:height:smoke +
                                      age:weight:smoke +
                                      height:weight:smoke +
                                                          gestation:parity:age:height +
                                                          gestation:parity:age:weight +
                                                          gestation:parity:age:smoke +
                                                          gestation:age:height:weight +
                                                          gestation:age:height:smoke +
                                                          gestation:height:weight:smoke +
                                                          parity:age:height:weight +
                                                          parity:age:height:smoke,
                                                                                   data= babies.2)
                                                                                   
bb.all3 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke +
                                      gestation:parity:age +
                                      gestation:parity:height +
                                      gestation:parity:weight +
                                      gestation:parity:smoke +
                                      gestation:age:height +
                                      gestation:age:weight +
                                      gestation:age:smoke +
                                      gestation:height:weight +
                                      gestation:height:smoke +
                                      gestation:weight:smoke +
                                      parity:age:height +
                                      parity:age:weight +
                                      parity:age:smoke +
                                      parity:height:weight +
                                      parity:height:smoke +
                                      parity:weight:smoke +
                                      age:height:weight +
                                      age:height:smoke +
                                      age:weight:smoke +
                                      height:weight:smoke,
                                                          data= babies.2)                                                             
                                                          
bb.all3.1 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke +
                                      
                                      gestation:parity:height +
                                      gestation:parity:weight +
                                      gestation:parity:smoke +
                                      gestation:age:height +
                                      gestation:age:weight +
                                      gestation:age:smoke +
                                      gestation:height:weight +
                                      gestation:height:smoke +
                                      gestation:weight:smoke +
                                      parity:age:height +
                                      parity:age:weight +
                                      parity:age:smoke +
                                      parity:height:weight +
                                      parity:height:smoke +
                                      parity:weight:smoke +
                                      age:height:weight +
                                      age:height:smoke +
                                      age:weight:smoke +
                                      height:weight:smoke,
                                                          data= babies.2)                   

bb.all3.2 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke +
                                      gestation:parity:age +
                                      
                                      gestation:parity:weight +
                                      gestation:parity:smoke +
                                      gestation:age:height +
                                      gestation:age:weight +
                                      gestation:age:smoke +
                                      gestation:height:weight +
                                      gestation:height:smoke +
                                      gestation:weight:smoke +
                                      parity:age:height +
                                      parity:age:weight +
                                      parity:age:smoke +
                                      parity:height:weight +
                                      parity:height:smoke +
                                      parity:weight:smoke +
                                      age:height:weight +
                                      age:height:smoke +
                                      age:weight:smoke +
                                      height:weight:smoke,
                                                          data= babies.2)

bb.all3.3 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke +
                                      gestation:parity:age +
                                      gestation:parity:height +
                                      
                                      gestation:parity:smoke +
                                      gestation:age:height +
                                      gestation:age:weight +
                                      gestation:age:smoke +
                                      gestation:height:weight +
                                      gestation:height:smoke +
                                      gestation:weight:smoke +
                                      parity:age:height +
                                      parity:age:weight +
                                      parity:age:smoke +
                                      parity:height:weight +
                                      parity:height:smoke +
                                      parity:weight:smoke +
                                      age:height:weight +
                                      age:height:smoke +
                                      age:weight:smoke +
                                      height:weight:smoke,
                                                          data= babies.2)

bb.all3.4 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke +
                                      gestation:parity:age +
                                      gestation:parity:height +
                                      gestation:parity:weight +
                                      
                                      gestation:age:height +
                                      gestation:age:weight +
                                      gestation:age:smoke +
                                      gestation:height:weight +
                                      gestation:height:smoke +
                                      gestation:weight:smoke +
                                      parity:age:height +
                                      parity:age:weight +
                                      parity:age:smoke +
                                      parity:height:weight +
                                      parity:height:smoke +
                                      parity:weight:smoke +
                                      age:height:weight +
                                      age:height:smoke +
                                      age:weight:smoke +
                                      height:weight:smoke,
                                                          data= babies.2)

bb.all3.5 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke +
                                      gestation:parity:age +
                                      gestation:parity:height +
                                      gestation:parity:weight +
                                      gestation:parity:smoke +
                                      
                                      gestation:age:weight +
                                      gestation:age:smoke +
                                      gestation:height:weight +
                                      gestation:height:smoke +
                                      gestation:weight:smoke +
                                      parity:age:height +
                                      parity:age:weight +
                                      parity:age:smoke +
                                      parity:height:weight +
                                      parity:height:smoke +
                                      parity:weight:smoke +
                                      age:height:weight +
                                      age:height:smoke +
                                      age:weight:smoke +
                                      height:weight:smoke,
                                                          data= babies.2)

bb.all3.6 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke +
                                      gestation:parity:age +
                                      gestation:parity:height +
                                      gestation:parity:weight +
                                      gestation:parity:smoke +
                                      gestation:age:height +
                                      
                                      gestation:age:smoke +
                                      gestation:height:weight +
                                      gestation:height:smoke +
                                      gestation:weight:smoke +
                                      parity:age:height +
                                      parity:age:weight +
                                      parity:age:smoke +
                                      parity:height:weight +
                                      parity:height:smoke +
                                      parity:weight:smoke +
                                      age:height:weight +
                                      age:height:smoke +
                                      age:weight:smoke +
                                      height:weight:smoke,
                                                          data= babies.2)

bb.all3.7 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke +
                                      gestation:parity:age +
                                      gestation:parity:height +
                                      gestation:parity:weight +
                                      gestation:parity:smoke +
                                      gestation:age:height +
                                      gestation:age:weight +
                                      
                                      gestation:height:weight +
                                      gestation:height:smoke +
                                      gestation:weight:smoke +
                                      parity:age:height +
                                      parity:age:weight +
                                      parity:age:smoke +
                                      parity:height:weight +
                                      parity:height:smoke +
                                      parity:weight:smoke +
                                      age:height:weight +
                                      age:height:smoke +
                                      age:weight:smoke +
                                      height:weight:smoke,
                                                          data= babies.2)

bb.all3.8 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke +
                                      gestation:parity:age +
                                      gestation:parity:height +
                                      gestation:parity:weight +
                                      gestation:parity:smoke +
                                      gestation:age:height +
                                      gestation:age:weight +
                                      gestation:age:smoke +
                                      
                                      gestation:height:smoke +
                                      gestation:weight:smoke +
                                      parity:age:height +
                                      parity:age:weight +
                                      parity:age:smoke +
                                      parity:height:weight +
                                      parity:height:smoke +
                                      parity:weight:smoke +
                                      age:height:weight +
                                      age:height:smoke +
                                      age:weight:smoke +
                                      height:weight:smoke,
                                                          data= babies.2)

bb.all3.9 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke +
                                      gestation:parity:age +
                                      gestation:parity:height +
                                      gestation:parity:weight +
                                      gestation:parity:smoke +
                                      gestation:age:height +
                                      gestation:age:weight +
                                      gestation:age:smoke +
                                      gestation:height:weight +
                                      
                                      gestation:weight:smoke +
                                      parity:age:height +
                                      parity:age:weight +
                                      parity:age:smoke +
                                      parity:height:weight +
                                      parity:height:smoke +
                                      parity:weight:smoke +
                                      age:height:weight +
                                      age:height:smoke +
                                      age:weight:smoke +
                                      height:weight:smoke,
                                                          data= babies.2)

bb.all3.10 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke +
                                      gestation:parity:age +
                                      gestation:parity:height +
                                      gestation:parity:weight +
                                      gestation:parity:smoke +
                                      gestation:age:height +
                                      gestation:age:weight +
                                      gestation:age:smoke +
                                      gestation:height:weight +
                                      gestation:height:smoke +
                                      
                                      parity:age:height +
                                      parity:age:weight +
                                      parity:age:smoke +
                                      parity:height:weight +
                                      parity:height:smoke +
                                      parity:weight:smoke +
                                      age:height:weight +
                                      age:height:smoke +
                                      age:weight:smoke +
                                      height:weight:smoke,
                                                          data= babies.2)

bb.all3.11 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke +
                                      gestation:parity:age +
                                      gestation:parity:height +
                                      gestation:parity:weight +
                                      gestation:parity:smoke +
                                      gestation:age:height +
                                      gestation:age:weight +
                                      gestation:age:smoke +
                                      gestation:height:weight +
                                      gestation:height:smoke +
                                      gestation:weight:smoke +
                                      
                                      parity:age:weight +
                                      parity:age:smoke +
                                      parity:height:weight +
                                      parity:height:smoke +
                                      parity:weight:smoke +
                                      age:height:weight +
                                      age:height:smoke +
                                      age:weight:smoke +
                                      height:weight:smoke,
                                                          data= babies.2)

bb.all3.12 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke +
                                      gestation:parity:age +
                                      gestation:parity:height +
                                      gestation:parity:weight +
                                      gestation:parity:smoke +
                                      gestation:age:height +
                                      gestation:age:weight +
                                      gestation:age:smoke +
                                      gestation:height:weight +
                                      gestation:height:smoke +
                                      gestation:weight:smoke +
                                      parity:age:height +
                                      
                                      parity:age:smoke +
                                      parity:height:weight +
                                      parity:height:smoke +
                                      parity:weight:smoke +
                                      age:height:weight +
                                      age:height:smoke +
                                      age:weight:smoke +
                                      height:weight:smoke,
                                                          data= babies.2)

bb.all3.13 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke +
                                      gestation:parity:age +
                                      gestation:parity:height +
                                      gestation:parity:weight +
                                      gestation:parity:smoke +
                                      gestation:age:height +
                                      gestation:age:weight +
                                      gestation:age:smoke +
                                      gestation:height:weight +
                                      gestation:height:smoke +
                                      gestation:weight:smoke +
                                      parity:age:height +
                                      parity:age:weight +
                                      
                                      parity:height:weight +
                                      parity:height:smoke +
                                      parity:weight:smoke +
                                      age:height:weight +
                                      age:height:smoke +
                                      age:weight:smoke +
                                      height:weight:smoke,
                                                          data= babies.2)

bb.all3.14 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke +
                                      gestation:parity:age +
                                      gestation:parity:height +
                                      gestation:parity:weight +
                                      gestation:parity:smoke +
                                      gestation:age:height +
                                      gestation:age:weight +
                                      gestation:age:smoke +
                                      gestation:height:weight +
                                      gestation:height:smoke +
                                      gestation:weight:smoke +
                                      parity:age:height +
                                      parity:age:weight +
                                      parity:age:smoke +
                                      
                                      parity:height:smoke +
                                      parity:weight:smoke +
                                      age:height:weight +
                                      age:height:smoke +
                                      age:weight:smoke +
                                      height:weight:smoke,
                                                          data= babies.2)

bb.all3.15 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke +
                                      gestation:parity:age +
                                      gestation:parity:height +
                                      gestation:parity:weight +
                                      gestation:parity:smoke +
                                      gestation:age:height +
                                      gestation:age:weight +
                                      gestation:age:smoke +
                                      gestation:height:weight +
                                      gestation:height:smoke +
                                      gestation:weight:smoke +
                                      parity:age:height +
                                      parity:age:weight +
                                      parity:age:smoke +
                                      parity:height:weight +
                                      
                                      parity:weight:smoke +
                                      age:height:weight +
                                      age:height:smoke +
                                      age:weight:smoke +
                                      height:weight:smoke,
                                                          data= babies.2)

bb.all3.16 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke +
                                      gestation:parity:age +
                                      gestation:parity:height +
                                      gestation:parity:weight +
                                      gestation:parity:smoke +
                                      gestation:age:height +
                                      gestation:age:weight +
                                      gestation:age:smoke +
                                      gestation:height:weight +
                                      gestation:height:smoke +
                                      gestation:weight:smoke +
                                      parity:age:height +
                                      parity:age:weight +
                                      parity:age:smoke +
                                      parity:height:weight +
                                      parity:height:smoke +
                                      
                                      age:height:weight +
                                      age:height:smoke +
                                      age:weight:smoke +
                                      height:weight:smoke,
                                                          data= babies.2)

bb.all3.17 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke +
                                      gestation:parity:age +
                                      gestation:parity:height +
                                      gestation:parity:weight +
                                      gestation:parity:smoke +
                                      gestation:age:height +
                                      gestation:age:weight +
                                      gestation:age:smoke +
                                      gestation:height:weight +
                                      gestation:height:smoke +
                                      gestation:weight:smoke +
                                      parity:age:height +
                                      parity:age:weight +
                                      parity:age:smoke +
                                      parity:height:weight +
                                      parity:height:smoke +
                                      parity:weight:smoke +
                                      
                                      age:height:smoke +
                                      age:weight:smoke +
                                      height:weight:smoke,
                                                          data= babies.2)

bb.all3.18 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke +
                                      gestation:parity:age +
                                      gestation:parity:height +
                                      gestation:parity:weight +
                                      gestation:parity:smoke +
                                      gestation:age:height +
                                      gestation:age:weight +
                                      gestation:age:smoke +
                                      gestation:height:weight +
                                      gestation:height:smoke +
                                      gestation:weight:smoke +
                                      parity:age:height +
                                      parity:age:weight +
                                      parity:age:smoke +
                                      parity:height:weight +
                                      parity:height:smoke +
                                      parity:weight:smoke +
                                      age:height:weight +
                                      
                                      age:weight:smoke +
                                      height:weight:smoke,
                                                          data= babies.2)

bb.all3.19 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke +
                                      gestation:parity:age +
                                      gestation:parity:height +
                                      gestation:parity:weight +
                                      gestation:parity:smoke +
                                      gestation:age:height +
                                      gestation:age:weight +
                                      gestation:age:smoke +
                                      gestation:height:weight +
                                      gestation:height:smoke +
                                      gestation:weight:smoke +
                                      parity:age:height +
                                      parity:age:weight +
                                      parity:age:smoke +
                                      parity:height:weight +
                                      parity:height:smoke +
                                      parity:weight:smoke +
                                      age:height:weight +
                                      age:height:smoke +
                                      
                                      height:weight:smoke,
                                                          data= babies.2)

bb.all3.20 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke +
                                      gestation:parity:age +
                                      gestation:parity:height +
                                      gestation:parity:weight +
                                      gestation:parity:smoke +
                                      gestation:age:height +
                                      gestation:age:weight +
                                      gestation:age:smoke +
                                      gestation:height:weight +
                                      gestation:height:smoke +
                                      gestation:weight:smoke +
                                      parity:age:height +
                                      parity:age:weight +
                                      parity:age:smoke +
                                      parity:height:weight +
                                      parity:height:smoke +
                                      parity:weight:smoke +
                                      age:height:weight +
                                      age:height:smoke +
                                      age:weight:smoke,
                                                       data= babies.2)

bb.all2 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke,
                                      data= babies.2)                                                       

bb.all2.1 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke,
                                      data= babies.2)

bb.all2.2 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke,
                                      data= babies.2)

bb.all2.3 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke,
                                      data= babies.2)

bb.all2.4 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke,
                                      data= babies.2)

bb.all2.5 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke,
                                      data= babies.2)

bb.all2.6 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke,
                                      data= babies.2)

bb.all2.7 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke,
                                      data= babies.2)

bb.all2.8 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke,
                                      data= babies.2)

bb.all2.9 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke,
                                      data= babies.2)

bb.all2.10 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke,
                                      data= babies.2)

bb.all2.11 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         
                         age:smoke +
                         height:weight +
                         height:smoke +
                         weight:smoke,
                                      data= babies.2)

bb.all2.12 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         
                         height:weight +
                         height:smoke +
                         weight:smoke,
                                      data= babies.2)

bb.all2.13 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         
                         height:smoke +
                         weight:smoke,
                                      data= babies.2)

bb.all2.14 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         
                         weight:smoke,
                                      data= babies.2)

bb.all2.15 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:parity +
                         gestation:age +
                         gestation:height +
                         gestation:weight +
                         gestation:smoke +
                         parity:age +
                         parity:height +
                         parity:weight +
                         parity:smoke +
                         age:height +
                         age:weight +
                         age:smoke +
                         height:weight +
                         height:smoke,
                                      data= babies.2)

bb.all1 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:age +
                         gestation:smoke,
                                      data= babies.2)
                                      
bb.all1.2 <- lm(pesokg ~ gestation +
                      
                      age + 
                      height + 
                      weight + 
                      smoke + 
                         gestation:age +
                         gestation:smoke,
                                      data= babies.2)
                                      
bb.all1.4 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                       
                      weight + 
                      smoke + 
                         gestation:age +
                         gestation:smoke,
                                      data= babies.2)                                                                            

bb.all1.5 <- lm(pesokg ~ gestation +
                      parity + 
                      age + 
                      height + 
                       
                      smoke + 
                         gestation:age +
                         gestation:smoke,
                                      data= babies.2)
                                                                                                                      
       #Concluso: Como obtivemos resultados significativos ao tentar retirar as interaes de segundo grau nas linhas 2 e 5 do modelo cheio, mantemos ambas (gestation:age e gestation:smoke). Ao tentar retirar outras variveis presentes ainda em primeiro grau e no envolvidas em interaes, obtivemos diferena significativa em todas as comparaes por anova(). Por esse motivo, precisamos manter tambm todas as variveis em primeiro nvel, alm das duas interaes apontadas. O modelo mnimo adequado equivale a "bb.all1": pesokg ~ gestation + parity + age + height + weight + smoke + gestation:age + gestation:smoke.
        

#Fim