# Exerccios 9
  # Construo de Funes
  # Por Beatriz F. Fernandes
  
# 9.2 Exerccio Anlise exploratria simultnea de duas variveis
  # Tarefa: Crie uma funo para sada grfica de anlises exploratrias de duas variveis. Essa sada pode ter por exemplo boxplot, histograma, qq norm e y por x. A funo deve permitir a entrada de dois objetos vetores de mesmo tamanho (x e y). Caso os valores de x e y forem desenhados em um mesmo grfico, defina cores diferentes. As legendas devem ser em portugus e a sada (return) deve apresentar o sumrio das duas variveis e o coeficiente de correlao.
  # DICAS:
    # Para histogramas com variveis em um mesmo grfico pode ser utilizada a funo multhist() do pacote plotrix. Baixe, instale o pacote e veja o help da funo.
    # Utilize o cdigo do eda.shape, apresentado em aula como ponto de partida.
    #Lembre-se que em algumas funes grficas o argumento add=TRUE, adiciona elementos no grfico anterior.
#install.packages("plotrix")                   #Tire o # e instale o pacote caso no o possua!
#library("plotrix")                            #Tire o # e carregue o pacote caso no o tenha feito ainda!
  
  explore <- function(x,y)                     #Cria a funo "explore, que aceita os argumentos x e y"
          {                                    #Abre a funo.
          par(mfrow=(c(2,2)),                  #Cria dispositivo para plotagem de 4 grficos, em 2 linhas e 2 colunas.
          mar=c(4,4,2,2),                      #Margens: inferior e esquerda = 4 ; superior e direita = 2.
          cex.main=0.9,                        #Reduz os ttulos em 10%.
          family="serif",                      #Utiliza serif como fonte.
          las=1,                               #Coloca todos os marcadores de eixo na horizontal.
          bty="n"                              #sem contorno nos grficos.
          )
                                
          #Grfico 1: (Superior esquerdo) Boxplot do conjunto de dados
          boxplot(list(x,y),                   #Pede o boxplot conjunto de x e y.
          main="Boxplot do conjunto de dados", #Determina o ttulo.
          ylim=c(min(x,y),max(x,y)),           #determina os limites do eixo y com base no mx e min dos dados.
          col=c(3,6),                          #Colore x com verde e y com rosa.
          xaxt="n")                            #Retira os rtulos do eixo x.
          legend("topleft",                    #Insere a legenda no canto superior esquerdo.
          legend=c("Varivel x", "Varivel y"),#Determina os nomes da legenda.
          col=c(3,6),                          #Determina as cores na leganda.
          lty=1,                               #Pede linha slida.
          lwd=3,                               #Engrossa as linhas para tamanho 5.
          cex=0.6,                             #Reduz o tamanho da legenda em 40%.
          bty="n")                             #Retira o contorno da legenda.
          
          #Grfico 2: (Superior direito) Histogramas
           multhist(list(x,y),                 #Pede histograma conjunto de x e y (agrupados em lista).
           beside=T,                           #Plota-os lado a lado.
           col=c(3,6),                         #Colore x com verde e y com rosa.
           main="Histogramas de X e Y",        #Determina o ttulo.
           xlab="Valores na amostra",          #Determina o ttulo do eixo x.
           ylab="Nmero de observaes"        #Determina o ttulo do eixo y.
           )
          #Grfico 3: (Inferior esquerdo) QQ norm
          qqnorm(y,                            #Pede a plotagem dos quantis de y.
          main="Comparao Quantil-Quantil",   #Determina o ttulo.
          xlab="Quantis tericos",             #Determina o ttulo do eixo x.
          ylab="Quantis da amostra",           #Determina o ttulo do eixo y.
          pch=19,                              #Altera os pontos para crculos pretos preencidos.
          col="grey",                          #Altera a cor dos pontos para cinza.
          cex=1.1                              #Aumenta os pontos em 10%.
          )
          qqline(y,                            #Pede a plotagem dos quantis tericos de y.
          lwd=2,                               #Aumenta a grossura da linha para tamanho 2.
          col="red")                           #Colore a linha em vermelho.
          
          #Grfico 4: (Inferior direito) Y por X
          plot(y~x,                            #Pede a plotagem dos valores de y em funo de x.
          main="Y em funo de X",             #Determina o ttulo.
          pch=19,                              #Altera os pontos para crculos pretos preencidos.
          col="grey",                          #Altera a cor dos pontos para cinza.
          cex=1.1)                             #Aumenta os pontos em 10%.          
          
          summary.x <- summary(x)              #Pede o resumo de x e guarda no objeto summary.x
          summary.y <- summary(y)              #Pede o resumo de x e guarda no objeto summary.y
          model     <- lm(y~x)                 #Cria o modelo linear de y~x e guarda no objeto model.
          r2 <- summary(model)$adj.r.squared   #Chama o R^2 (coeficiente de correlao) do modelo e guarda no objeto r2.
          resultados <- list(summary.x, summary.y, r2)  #Cria uma lista "resultados" agrupando 3 objetos
          names(resultados) <- c("Sumrio da varivel x", "Sumrio da varivel y", "Coeficiente de correlao y~x") #Altera nomes dos objetos na lista
          return(resultados)                   #Retorna no terminal a lista criada.
          }                                    #Fecha a funo
  
  #Fim!