# Exerccios 4
  # Anlises Exploratrias
  # Por Beatriz F. Fernandes

#4.2 Cervejas
     #Uma amostra de 30 estudantes foi indagada sobre seu tipo de cerveja preferida, com o seguinte resultado:
     cervejas <-c("chope","lata","garrafa","chope","garrafa", "garrafa","lata","lata","nenhuma","lata","garrafa","garrafa", "garrafa","lata","lata","lata","garrafa","lata","chope","nenhuma", "garrafa","garrafa","garrafa","chope","garrafa","garrafa","chope","garrafa","lata","lata") # Concatena as respostas obtidas em um objeto chamado "cervejas"
              # Represente este resultado como um grfico de barras e um dotplot (funo dotchart).
                cervejas <- as.factor(cervejas) # Transforma as respostas obtidas em fator, com 4 nveis.
                barplot(table(cervejas))        # Cria um grfico de barras dos dados obtidos, a partir da contagem para cada nvel.
                dotchart(table(cervejas))       # Cria um grfico de pontos dos dados obtidos, a partir da contagem para cada nvel.
                           
              # Qual tem maior razo dado/tinta?
                # Considerando que os dois grficos esto representando os mesmos resultados, podemos perceber que o grfico de pontos "gasta muito menos tinta" para demonstr-los do que o grfico de barras. Nesse sentido, podemos dizer que o grfico de pontos tem uma maior razo dado/tinta.

#4.3 Caixetas
     # Neste exerccio, use o objeto caixeta, criado no tutorial Explorao de uma Varivel Categrica.
     caixeta <- read.table(file = "caixeta.csv", header = T, sep = ",", dec = ".", as.is=T) #L o arquivo para o objeto "caixeta", considerando que h cabealho, o separador  "," e o decimal  ".", importando os dados na suas classes originais.
                     # Construa um histograma do dap dos fustes dos caixetais.
                       caixeta$dap <- (caixeta$cap)/(pi)                                    # Calcula o DAP (dimetro) com base no CAP (circunferncia) e adiciona uma nova coluna nos dados, chamada "dap"
                       caixeta$dap                                                          # Como cada linha no conjunto de dados representa um fuste, a coluna "dap" criada apresenta o dap de cada fuste. 
                       hist(caixeta$dap)                                                    # Cria histograma para os dados contidos apenas na coluna "dap" dos dados caixeta.
                     # Construa histogramas da altura das rvores para os diferentes caixetais ('local').
                       caixeta$local <- as.factor(caixeta$local)                     # Transforma os locais de coleta em fator, com 4 nveis.
                       par(mfcol=c(3,1))                                              # Cria um "device" com espao para 3 grficos (1 por linha) numa mesma coluna.
                       tapply(X=caixeta$h, INDEX=caixeta$local, FUN=hist)             # Cria histograma das alturas separando por local, no device criado no comando anterior.                      
                     # H diferenas entre as estruturas (distribuio de tamanhos) dos caixetais?
                       plot(x=caixeta$local, y=caixeta$h, type ="h")                  #Essa funo retorna os boxplots das distribuies de tamanho, divididas por local. Isso nos permite comparar essas distribuies diretamente!
                       # De uma forma geral, conseguimos perceber que os trs locais apresentam distribuio parecida de alturas das rvores, em termos de mediana, limite superior e limite inferior. No entanto, as regies "chauas" e "jureia" apresentam outliers superiores fazendo com que a distribuio nesses dois locais apresente uma cauda longa  direita, principalmente "chauas", que contm um indivduo com 480cm de altura.  
                       
#4.4 Eucaliptos
     # Utilize o grfico boxplot para analisar o DAP de rvores de E. grandis em funo das variveis regio (regiao) e rotao (rotacao).
       e.grandis <- read.table(file = "egrandis.csv", header = T, sep = ";", dec = ".", as.is=T) #L o arquivo para o objeto "e.grandis", considerando que h cabealho, o separador  ";" e o decimal  ".", importando os dados na suas classes originais.
       boxplot(e.grandis$dap ~ e.grandis$regiao)                                                 # Cria um grfico boxplot dos valores de "dap", separados por grupos de "regio" .
       # Podemos perceber que as diferentes regies apresentam boxplots similares, possuindo valores prximos de DAP mediano (~10cm) e limites inferiores/superiores esperados. No entanto, embora hajam outliers em todas as regies, a regio de Bofete apresenta uma quantidade massiva de outliers com DAP acima do valor calculado como limite superior. 
       boxplot(e.grandis$dap ~ e.grandis$rotacao)                                                # Cria um grfico boxplot dos valores de "dap", separados por grupos de "rotao" .
       # Podemos perceber que as diferentes rotaes apresentam boxplots similares, possuindo valores prximos de DAP mediano (~10cm) e limites inferiores esperados. A rotao 1 apresenta mediana e limite superior ligeiramente maiores do que a rotao 2. Embora hajam outliers superiores em ambas as rotaes, a rotao 1 apresenta uma quantidade massiva de outliers com DAP acima do valor calculado como limite superior.
       
     # Avalie a normalidade da altura do conjunto total de rvores com um grfico quantil-quantil contra a distribuio normal.
     qqnorm(e.grandis$ht) #Plota os valores de altura contidos no conjunto "e,grandis".
     qqline(e.grandis$ht) #Plota os valores tericos esperados para uma distribuio normal.
     #  possvel perceber que os quantis dos dados de altura obtidos fogem bastante do esperado para uma distribuio terica normal, apresentando uma cauda mais curta para alturas menores e mais longa para alturas maiores.
       
#4.5 Mais caixetas
     #ETAPAS PRVIAS IMPORTANTES:
     #Nos nossos dados "caixeta", cada linha  um fuste, ento temos que calcular o DAP para cada rvore (para cada rvore, calcular a rea basal total e recalcular o DAP), assim como manter apenas uma altura por rvore (Mas os nmeros das rvores se repetem por local, ento tambm temos que separ-los).
     #Selecionar s a espcie de interesse
     caixeta.tab <- caixeta[caixeta$especie=="Tabebuia cassinoides",] #Seleciona os dados da espcie Tabebuia cassinoides.
     #Separar um dataframe por local
     caixeta.chauas <- caixeta.tab[caixeta.tab$local=="chauas",]      #Seleciona os dados da espcie Tabebuia cassinoides em chauas. 
     caixeta.jureia <- caixeta.tab[caixeta.tab$local=="jureia",]      #Seleciona os dados da espcie Tabebuia cassinoides em jureia.
     caixeta.retiro <- caixeta.tab[caixeta.tab$local=="retiro",]      #Seleciona os dados da espcie Tabebuia cassinoides em retiro.
     #Adicionar a coluna "rea basal" em cada um dos 3 dataframes.
     caixeta.chauas$area.basal = ((caixeta.chauas$dap/2)^2)*pi        # Adicionamos uma nova coluna nos dados com base na frmula: rea = pi*raio^2.
     caixeta.jureia$area.basal = ((caixeta.jureia$dap/2)^2)*pi        # Adicionamos uma nova coluna nos dados com base na frmula: rea = pi*raio^2.
     caixeta.retiro$area.basal = ((caixeta.retiro$dap/2)^2)*pi        # Adicionamos uma nova coluna nos dados com base na frmula: rea = pi*raio^2.
      #Criar a coluna "rea basal por rvore" em cada um dos 3 dataframes, os DAPS e adiciona a coluna com a altura
       chauas.arvore <- aggregate(x=caixeta.chauas$area.basal, by = list(caixeta.chauas$arvore), FUN = sum) #Faz a soma da rea basal por rvore (unindo os fustes) e coloca no objeto "chauas.arvore".
       colnames(chauas.arvore) <- c("arvore","ab")                                                          #Muda o nome das colunas.
       chauas.arvore$DAP <- 2*(sqrt(((chauas.arvore$ab)/pi)))                                               #Calcula o dap para o grupo.
       altura.chauas <- aggregate(x=caixeta.chauas$h, by = list(caixeta.chauas$arvore), FUN = max)          #Pega a altura mxima por rvore (unindo os fustes) e coloca na coluna "altura".
       colnames(altura.chauas) <- c("arvore","h")                                                           #Muda o nome das colunas.
       tab.chauas <- merge(chauas.arvore,altura.chauas,by="arvore")                                         #Junta os objetos pela coluna "arvore"
       
       jureia.arvore <- aggregate(x=caixeta.jureia$area.basal, by = list(caixeta.jureia$arvore), FUN = sum) #Faz a soma da rea basal por rvore (unindo os fustes) e coloca no objeto "jureia.arvore".
       colnames(jureia.arvore) <- c("arvore","ab")                                                          #Muda o nome das colunas.
       jureia.arvore$DAP <- 2*(sqrt(((jureia.arvore$ab)/pi)))                                               #Calcula o dap para o grupo.
       altura.jureia <- aggregate(x=caixeta.jureia$h, by = list(caixeta.jureia$arvore), FUN = max)          #Pega a altura mxima por rvore (unindo os fustes) e coloca na coluna "altura".
       colnames(altura.jureia) <- c("arvore","h")                                                           #Muda o nome das colunas.
       tab.jureia <- merge(jureia.arvore,altura.jureia,by="arvore")                                         #Junta os objetos pela coluna "arvore"
       
       retiro.arvore <- aggregate(x=caixeta.retiro$area.basal, by = list(caixeta.retiro$arvore), FUN = sum) #Faz a soma da rea basal por rvore (unindo os fustes) e coloca no objeto "retiro.arvore".
       colnames(retiro.arvore) <- c("arvore","ab")                                                          #Muda o nome das colunas.
       retiro.arvore$DAP <- 2*(sqrt(((retiro.arvore$ab)/pi)))                                               #Calcula o dap para o grupo.
       altura.retiro <- aggregate(x=caixeta.retiro$h, by = list(caixeta.retiro$arvore), FUN = max)          #Pega a altura mxima por rvore (unindo os fustes) e coloca na coluna "altura".
       colnames(altura.retiro) <- c("arvore","h")                                                           #Muda o nome das colunas.
       tab.retiro <- merge(retiro.arvore,altura.retiro,by="arvore")                                         #Junta os objetos pela coluna "arvore"           
     
     # Analise a relao dap-altura ('dap' e 'h') em funo do caixetal (local) com a funo plot, mas somente para as rvores de caixeta (Tabebuia cassinoides).
       par(mfcol=c(3,1))            # Cria um "device" com espao para 3 grficos (1 por linha) numa mesma coluna.
       plot(DAP~h, data=tab.chauas) #Plota a relao DAP em funo de altura para os dados de Tabebuia-chauas.
       plot(DAP~h, data=tab.jureia) #Plota a relao DAP em funo de altura para os dados de Tabebuia-jureia.
       plot(DAP~h, data=tab.retiro) #Plota a relao DAP em funo de altura para os dados de Tabebuia-retiro.
       
     # Para a mesma relao do item anterior, verifique linearidade com a funo scatter.smooth
       par(mfcol=c(3,1))                           # Cria um "device" com espao para 3 grficos (1 por linha) numa mesma coluna.
       scatter.smooth(tab.chauas$h,tab.chauas$DAP) #Plota o scatter.smooth para os dados de Tabebuia-chauas.
       scatter.smooth(tab.jureia$h,tab.jureia$DAP) #Plota o scatter.smooth para os dados de Tabebuia-jureia.
       scatter.smooth(tab.retiro$h,tab.retiro$DAP) #Plota o scatter.smooth para os dados de Tabebuia-retiro.
       
     # Utilizando o pacote lattice, analise a relao dap-altura ('dap' e 'h') em funo do caixetal (local), mas somente para as rvores de caixeta (Tabebuia cassinoides).
       #Criar uma coluna "local para cada objeto das regies"
       tab.chauas$local <- rep("chauas",191)  # Cria uma coluna "local" com 191 repeties de "chauas", porque esses dados possuem 191 linhas.
       tab.jureia$local <- rep("jureia",86)   # Cria uma coluna "local" com 191 repeties de "jureia", porque esses dados possuem 86 linhas.
       tab.retiro$local <- rep("retiro",132)  # Cria uma coluna "local" com 191 repeties de "retiro", porque esses dados possuem 132 linhas.
       #Junta todos esses objetos em sequncia num novo "tab.todos"
       tab.todos <- rbind(tab.chauas,tab.jureia,tab.retiro) #Cria tab.todos combinando as linhas em sequncia.
       library(lattice)                                     #Carrega o pacote lattice.
       xyplot(DAP~h|local,data=tab.todos)                   #Plota os valores de DAP em funo da altura, separando por local, para o conjunto tab.todos.

# Fim!
     