# Exerccios 5
  # Criao de grficos
  # Por Beatriz F. Fernandes
  
#5.1 Editando alguns parmetros grficos
     #1. Leia os dados Conjunto de Dados: Biomassa de rvores de Eucalyptus saligna em um objeto chamado saligna.
     saligna <- read.table(file = "esaligna.csv", header = T, sep = ",", dec = ".", as.is=T) #L o arquivo para o objeto "saligna", considerando que h cabealho, o separador  "," e o decimal  ".", importando os dados na suas classes originais.

     #Use o simbolo de crculo preenchido aumentado em 40%, na cor vermelha - Legendas dos eixos com nomes das variveis e suas unidades da seguinte forma:
     #x: Dimetro  altura do peito (cm)
     #y: Altura (m)
     #Ttulo contendo: *Eucalypthus saligna* com aumento de 80%.
     #Tamanho das fontes e legendas dos eixos com 50% e 70% de aumento que o padro, respectivamente.
     #Valores do eixo y na horizontal.
     #Marcaes da escala dos eixos (ticks marks) para dentro da rea do grfico com tamanho de 0.3 do tamanho da linha.
     #Apenas as linhas referentes/ aos eixos x e y (formato L).
     
     plot(      x=saligna$dap, y=saligna$ht,                #Define as variveis dos eixos x e y, pedindo que plote os pontos
                col="red",                                  #Pontos na cor vermelha
                pch=19,                                     #Tipo de ponto = crculo preenchido
                cex=1.4,                                    #Aumento dos pontos em 40%
                xlab="Dimetro  altura do peito (cm)",     #Nome do eixo x
                ylab="Altura (m)",                          #Nome do eixo y
                main="Eucalypthus saligna",                 #Titulo do grfico
                cex.main=1.8,                               #Aumento do ttulo em 80%
                cex.axis=1.5,                               #Aumento das fontes dos eixos em 50%
                cex.lab=1.70,                               #Aumento das legendas dos eixos em 70%
                las=1,                                      #Fontes dos eixos todas na horizontal
                tcl=0.3,                                    #Tick marks para dentro da rea do grfico com tamanho de 0.3 do tamanho da linha
                bty="l")                                    #Formato do "box" em L.

     #Salve o grfico no formato png no arquivo saligna.png no diretrio de trabalho atual.
     savePlot("saligna.png", type= "png")                   #Salva o grfico no arquivo "saligna.png", em formato PNG.

#5.2 Dois grficos juntos
     #Use as variveis dap e talhao para construir dois grficos, colocando-os lado a lado. O primeiro deve ser um grfico de desenho de caixa (boxplot) da varivel dap em funo do fator talho. O segundo deve ter apenas a mdia e uma barra de desvio-padro do dap, para cada talho.
     #Insira tambm uma letra para dizer qual  o grfico a e qual  o b (tanto faz, quem  um e quem  outro)
     par(mfrow=c(1,2))                                                  #Cria um dispositivo com espao para dois grficos lado a lado.
     boxplot(         dap~talhao, data=saligna,                         #No primeiro dispositivo, plota o boxplot de dap em funo de talho, dos dados do objeto saligna.
                      ylim=c(5,23),                                     #Define os limites do eixo y, indo de 5 a 23.
                      xlab="Talho",                                    #Define o nome do eixo x como "Talho"
                      ylab="Dimetro na altura do peito (cm)")          #Define o nome do eixo y.
     
     medias <- tapply(X=saligna$dap, INDEX=saligna$talhao, FUN=mean)    #Cria o objeto "medias" com as mdias calculadas de DAP por talho.
     desvios <- tapply(X=saligna$dap, INDEX=saligna$talhao, FUN=sd)     #Cria o objeto "desvios" com os desvios padro calculados de DAP por talho.
     talho <- c(16,17,18,22,23,32)                                      #Define um objeto "talho" com os valores dos talhes
     talho <- as.factor(talho)                                          #Transforma "talho" em fator
     plot(            medias,                                           #No segundo dispositivo, plota a distribuio das mdias
                      ylim=c(5,23),                                     #Define os limites do eixo y, indo de 5 a 23.
                      xaxt="n",                                         #Retira as marcaes do eixo x
                      xlab="Talho",                                    #Define o nome do eixo x como "Talho"
                      ylab="Dimetro na altura do peito (cm)")          #Define o nome do eixo y.
     axis(            side=1,                                           #No eixo inferior (numerado como 1)
                      at=c(1,2,3,4,5,6),                                #Nas posies de 1 a 6
                      labels=c("16","17","18","22","23","32"))          #Escreve os rtulos na sequncia especificada de 16 a 32.
     #Adicionando reta de desvio padro do grupo 1                          
     segments(x0=1,y0=(10.36667-3.733452),x1=1,y1=(10.36667+3.733452))  #Cria um seguimento nas coordenadas especificadas, onde 10,36  a mdia do grupo 16 (que est na posio 1 do eixo x), e 3,73  o desvio padro.
     points (x=1,y=(10.36667-3.733452), pch="_",cex=2)                  #Cria um ponto com formato de trao nas coordenadas especificadas, com tamanho duplicado.
     points (x=1,y=(10.36667+3.733452), pch="_",cex=2)
     #Adicionando reta de desvio padro do grupo 2
     segments(x0=2,y0=(12.98571-6.023960),x1=2,y1=(12.98571+6.023960))
     points (x=2,y=(12.98571-6.023960), pch="_",cex=2)
     points (x=2,y=(12.98571+6.023960), pch="_",cex=2)
     #Adicionando reta de desvio padro do grupo 3
     segments(x0=3,y0=(11.63333-4.266536),x1=3,y1=(11.63333+4.266536))
     points (x=3,y=(11.63333-4.266536), pch="_",cex=2)
     points (x=3,y=(11.63333+4.266536), pch="_",cex=2)
     #Adicionando reta de desvio padro do grupo 4
     segments(x0=4,y0=(15.38000-5.483794),x1=4,y1=(15.38000+5.483794))
     points (x=4,y=(15.38000-5.483794), pch="_",cex=2)
     points (x=4,y=(15.38000+5.483794), pch="_",cex=2)
     #Adicionando reta de desvio padro do grupo 5
     segments(x0=5,y0=(13.58750-5.154315),x1=5,y1=(13.58750+5.154315))
     points (x=5,y=(13.58750-5.154315), pch="_",cex=2)
     points (x=5,y=(13.58750+5.154315), pch="_",cex=2)
     #Adicionando reta de desvio padro do grupo 6
     segments(x0=6,y0=(13.15000-6.285499),x1=6,y1=(13.15000+6.285499))
     points (x=6,y=(13.15000-6.285499), pch="_",cex=2)
     points (x=6,y=(13.15000+6.285499), pch="_",cex=2)
     
     #Mantenha o mesmo padro de formatao do exerccio anterior.
     par(mfrow=c(1,2))
     boxplot(   dap~talhao, data=saligna,                   #Plota o boxplot de dap em funo de talho, dos dados do objeto saligna
                ylim=c(5,23),                               #Define os limites do eixo y, indo de 5 a 23.
                col="red",                                  #Pontos na cor vermelha
                cex=1.4,                                    #Aumento dos pontos em 40%
                xlab="Talho",                              #Nome do eixo x
                ylab="Dimetro  altura do peito (cm)",     #Nome do eixo y
                xaxt="n",                                   #Retira as marcaes do eixo x
                main="Eucalypthus saligna",                 #Titulo do grfico
                cex.main=1.8,                               #Aumento do ttulo em 80%
                cex.axis=1.5,                               #Aumento das fontes dos eixos em 50%
                cex.lab=1.70,                               #Aumento das legendas dos eixos em 70%
                las=1,                                      #Fontes dos eixos todas na horizontal
                tcl=0.3,                                    #Tick marks para dentro da rea do grfico com tamanho de 0.3 do tamanho da linha
                bty="l")                                    #Formato do "box" em L.
     axis(      side=1,
                at=c(1,2,3,4,5,6),
                labels=c("16","17","18","22","23","32"))
 
     plot(      medias,                
                ylim=c(5,23),
                col="red",                                  #Pontos na cor vermelha
                pch=19,                                     #Tipo de ponto = crculo preenchido
                cex=1.4,                                    #Aumento dos pontos em 40%
                xlab="Talho",                              #Nome do eixo x
                ylab="Dimetro  altura do peito (cm)",     #Nome do eixo y
                xaxt="n",                                   #Retira as marcaes do eixo x
                main="Eucalypthus saligna",                 #Titulo do grfico
                cex.main=1.8,                               #Aumento do ttulo em 80%
                cex.axis=1.5,                               #Aumento das fontes dos eixos em 50%
                cex.lab=1.70,                               #Aumento das legendas dos eixos em 70%
                las=1,                                      #Fontes dos eixos todas na horizontal
                tcl=0.3,                                    #Tick marks para dentro da rea do grfico com tamanho de 0.3 do tamanho da linha
                bty="l")                                    #Formato do "box" em L.
     axis(      side=1,
                at=c(1,2,3,4,5,6),
                labels=c("16","17","18","22","23","32"),
                tcl=0.3)
     #Adicionando reta de desvio padro do grupo 1                          
     segments(x0=1,y0=(10.36667-3.733452),x1=1,y1=(10.36667+3.733452))
     points (x=1,y=(10.36667-3.733452), pch="_",cex=2)
     points (x=1,y=(10.36667+3.733452), pch="_",cex=2)
     #Adicionando reta de desvio padro do grupo 2
     segments(x0=2,y0=(12.98571-6.023960),x1=2,y1=(12.98571+6.023960))
     points (x=2,y=(12.98571-6.023960), pch="_",cex=2)
     points (x=2,y=(12.98571+6.023960), pch="_",cex=2)
     #Adicionando reta de desvio padro do grupo 3
     segments(x0=3,y0=(11.63333-4.266536),x1=3,y1=(11.63333+4.266536))
     points (x=3,y=(11.63333-4.266536), pch="_",cex=2)
     points (x=3,y=(11.63333+4.266536), pch="_",cex=2)
     #Adicionando reta de desvio padro do grupo 4
     segments(x0=4,y0=(15.38000-5.483794),x1=4,y1=(15.38000+5.483794))
     points (x=4,y=(15.38000-5.483794), pch="_",cex=2)
     points (x=4,y=(15.38000+5.483794), pch="_",cex=2)
     #Adicionando reta de desvio padro do grupo 5
     segments(x0=5,y0=(13.58750-5.154315),x1=5,y1=(13.58750+5.154315))
     points (x=5,y=(13.58750-5.154315), pch="_",cex=2)
     points (x=5,y=(13.58750+5.154315), pch="_",cex=2)
     #Adicionando reta de desvio padro do grupo 6
     segments(x0=6,y0=(13.15000-6.285499),x1=6,y1=(13.15000+6.285499))
     points (x=6,y=(13.15000-6.285499), pch="_",cex=2)
     points (x=6,y=(13.15000+6.285499), pch="_",cex=2)           
           
#5.3 Adivinhando o cdigo
     #Leia os dados deste arquivo e usando as variveis x1 e y1 e x2 e y2 tente reproduzir esta figura.
     fetch <- read.table(file = "fetch.csv", header = T, sep = ",", dec = ".", as.is=T) #L o arquivo para o objeto "fetch", considerando que h cabealho, o separador  "," e o decimal  ".", importando os dados na suas classes originais.
     par(mfrow=c(1,2))
     plot(            fetch$y1~fetch$x1,              #No primeiro dispositivo, pede os dados da coluna y1 em funo de x1
                      pch=17,                         #Simbolo de tringulo preenchido
                      bty="l",                        #Formato do "box" em L.
                      cex=1.1,                        #Aumenta os pontos em 10%
                      ylim=c(-0.1,3.1),               #Define os limites do eixo y de -0.1 a 3.1 
                      xlim=c(0.4,2.3),                #Define os limites di eixo x de 0.4 a 2.3
                      xlab="Log(Patch size)(ha)",     #Nome do eixo x
                      ylab="Euclidean distances",     #Nome do eixo y
                      family="serif",                 #Fonte dos textos
                      cex.axis=1.1,                   #Aumenta os marcadores dos eixos em 10%
                      cex.lab=1.3,                    #Aumenta os rtulos dos eixos em 30%
                      tcl=0.3)                        #Tick marks para dentro da rea do grfico com tamanho de 0.3
     text(locator(),labels="a",cex=5, family="serif") #Escreve a letra "a", 5x aumentada e na fonte "serif" onde clicarmos com o cursor
     modelo <- lm(fetch$y1~fetch$x1)                  #Cria o objeto "modelo" com o calculado pelo modelo linear y1~x1
     abline(modelo, lwd=3)                            #Coloca a reta do previsto pelo modelo no grfico
                                            
     boxplot(x2~y2, data=fetch,                       #No segundo dispositivo, faz o boxplot da coluna x2 em funo de y2 dos dados fetch
                    par(bty="l"),                     #Formato do "box" em L. Para boxplots, s funciona dentro de par()
                    cex=1.1,
                    ylim=c(-0.1,3.1),
                    xlab="",                          #Deixa as legendas dos eixos vazias.
                    ylab="",
                    xaxt="n")                         #Retira os marcadores do eixo x
     text(x=c(1,2,4),y=3,labels="*",cex=2, family="serif")      #Insere um texto "*" aumentado 2x em serif, na altura de y=3 e nas posies de x=1, x=2 e x=4
     text(x=c(3),y=3,labels="**",cex=2, family="serif")
     text(x=c(5),y=3,labels="***",cex=2, family="serif")
     text(locator(),labels="b",cex=5, family="serif")           #Escreve a letra "b", 5x aumentada e na fonte "serif" onde clicarmos com o cursor
     axis(side=1, 
                  at=c(1,2,3,4,5,6), 
                  labels=c(          "Small",                   #Nas posies de 1 a 6 no eixo inferior, preenche com esses nomes.
                                     "Medium\nEdge",
                                     "Medium\nInferior",
                                     "Large\nEdge",
                                     "Large\nInferior",
                                     "Control"),
                  family="serif",
                  tcl=0.3)

#Fim