# 4.2. Cervejas
  # Uma amostra de 30 estudantes foi indagada sobre seu tipo de cerveja preferida, com o seguinte resultado
cervejas <-c("chope","lata","garrafa","chope","garrafa", "garrafa","lata","lata","nenhuma","lata","garrafa","garrafa", "garrafa","lata","lata","lata","garrafa","lata","chope","nenhuma", "garrafa","garrafa","garrafa","chope","garrafa","garrafa","chope","garrafa","lata","lata")
#transformar em tabela
cervejas.tab <- table(cervejas)
    #1. Represente este resultado como um gráfico de barras e um dotplot (função dotchart).
#inserir gráficos
barplot(cervejas.tab, main = "Tipos de cerveja preferida")
dotchart(cervejas.tab, main = "Tipos de cerveja preferida")
    #2.Qual tem maior razão dado/tinta? [melhor forma de explicar graficamente com menos uso de tinta]
#O dotplot!


#4.3. Caixetais
    #Neste exercício, use o objeto caixeta, criado no tutorial Exploração de uma Variável Categórica.
caixeta <- read.csv("caixeta.csv", header = T, as.is = T, sep = ",")
    #1. Construa um histograma do dap1) dos fustes dos caixetais.
# dap = cap/pi 
caixeta$dap <- caixeta$cap/pi
hist(caixeta$dap, main = "DAP", xlab = "Diametro a altura do peito (DAP)", ylab = "Frequência", col = "grey")
    #2. Construa histogramas da altura das árvores para os diferentes caixetais ('local').
par(mfrow=c(1,3))
hist(caixeta$h[which(caixeta$local == "chauas")], main = "Chauas", xlab = "Altura de Caixeta", ylab = "Frequência", col = "grey")
hist(caixeta$h[which(caixeta$local == "jureia")], main = "Jureia", xlab = "Altura de Caixeta", ylab = "Frequência", col = "grey")
hist(caixeta$h[which(caixeta$local == "retiro")], main = "Retiro", xlab = "Altura de Caixeta", ylab = "Frequência", col = "grey")
# possível também através do pacote lattice
    #3. Há diferenças entre as estruturas (distribuição de tamanhos) dos caixetais?
#Não, as estruturas são bem similares. 


#4.4.Eucaliptos
#Neste exercício, use o conjunto de dados Inventário em Florestas Plantadas de Eucalyptus grandis.
e.grandis <- read.table (file="egrandis.csv", sep=";",as.is = F)
    #1.Utilize o gráfico boxplot para analisar o DAP de árvores de E. grandis em função das variáveis região (regiao) e rotação (rotacao).
boxplot (e.grandis$dap ~ e.grandis$rotacao + e.grandis$regiao)
    #2.Avalie a normalidade da altura do conjunto total de árvores com um gráfico quantil-quantil contra a distribuição normal.
qqnorm(e.grandis$ht); qqline(e.grandis$ht)
#A partir dos gráficos, vê-se que os valores de h não seguem uma distribuição normal.


#4.5. Mais Caixetais
#Aqui usaremos novamente o objeto caixeta, criado no tutorial Exploração de uma Variável Categórica.
caixeta <- read.csv("caixeta.csv", header = T, as.is = T, sep = ",")
    #1.Analise a relação dap-altura ('dap' e 'h') em função do caixetal (local) com a função plot, mas somente para as árvores 2) de caixeta (Tabebuia cassinoides).
#isolando a espécie
tab.cassi <- subset(caixeta, especie == "Tabebuia cassinoides") 
head(tab.cassi)
#área basal
tab.cassi$ab <- (((tab.cassi$cap/pi)/2)^2)*pi
head(tab.cassi$ab)
#adicionar áreas dos fustes
tab.cassi <- aggregate(tab.cassi$area, by = list(tab.cassi$h, tab.cassi$arvore, tab.cassi$local), sum)
tab.cassi$dap <- 2*(sqrt(tab.cassi$ab/pi))
#separação por local
tab.chauas = subset(tab.cassi, caixeta$local == "chauas")
tab.retiro = subset(tab.cassi, caixeta$local == "retiro")
tab.jureia = subset(tab.cassi, caixeta$local == "jureia")
#gráficos
par(mfrow = c(1,3))
plot(tab.chauas$dap ~ tab.chauas$h, ylab = "DAP", xlab = "Altura", main = "Chauas")
plot(tab.retiro$dap ~ tab.retiro$h, ylab = "DAP", xlab = "Altura", main = "Retiro")
plot(tab.jureia$dap ~ tab.jureia$h, ylab = "DAP", xlab = "Altura", main = "Jureia")
    #2.Para a mesma relação do item anterior, verifique linearidade com a função scatter.smooth
par(mfrow = c(1,3))
scatter.smooth(tab.chauas$dap ~ tab.chauas$h, ylab = "DAP", xlab = "Altura", main = "Chauas")
scatter.smooth(tab.retiro$dap ~ tab.retiro$h, ylab = "DAP", xlab = "Altura", main = "Retiro")
scatter.smooth(tab.jureia$dap ~ tab.jureia$h, ylab = "DAP", xlab = "Altura", main = "Jureia")
    #3.Utilizando o pacote lattice, analise a relação dap-altura ('dap' e 'h') em função do caixetal (local), mas somente para as árvores 3) de caixeta (Tabebuia cassinoides).
library(lattice)
xyplot(dap~h|local,data=tab.cassi, xlab="Altura", ylab="DAP", main="Tabebuia cassinoides")
