#Exercício 5 - 21/05
#5.1. Editando alguns parâmetros gráficos
  #1.Leia os dados Conjunto de Dados: Biomassa de Árvores de Eucalyptus saligna em um objeto chamado saligna
saligna <- read.table("esaligna.csv", header = T, sep = ",") 
head(saligna)
str(saligna)
#2.Use o simbolo de círculo preenchido aumentado em 40%, na cor vermelha - Legendas dos eixos com nomes das variáveis e suas unidades da seguinte forma:
  #3.x: Diâmetro à altura do peito (cm)
  #4.y: Altura (m)
  #5.Tamanho das fontes e legendas dos eixos com 50% e 70% de aumento que o padrão, respectivamente
  #6.Marcações da escala dos eixos (ticks marks) para dentro da área do gráfico com tamanho de 0.3 do tamanho da linha.
  #7.Valores do eixo y na horizontal
  #8.Apenas as linhas referentes/ aos eixos x e y (formato “L”)
  #9.Título contendo: *Eucalypthus saligna* com aumento de 80%
  #10.Salve o gráfico no formato png no arquivo saligna.png no diretório de trabalho atual.
png(filename = "saligna.png")
plot(saligna$dap~saligna$ht, col="red", pch=16, cex=1.4,
     xlab="Diâmetro à altura do peito (cm)", 
     ylab="Altura (m)", 
     cex.axis = 1.5, cex.lab = 1.7, cex.main = 1.8,
     tcl = 0.3,
     las=1,
     bty="l",
     main = "Eucalyptus saligna") 
dev.off() 

#5.2.Dois gráficos juntos
  #1.Use as variáveis “dap” e “talhao” para construir dois gráficos, colocando-os lado a lado. O primeiro deve ser um gráfico de desenho de caixa (boxplot) da variável “dap” em função do fator “talhão”. O segundo deve ter apenas a média e uma barra de desvio-padrão do dap, para cada talhão.
  #2.Mantenha o mesmo padrão de formatação do exercício anterior.
  #3.Insira também uma letra para dizer qual é o gráfico “a” e qual é o “b” (tanto faz, quem é um e quem é outro).
par(mfrow=c(1,2))
boxplot(saligna$dap~saligna$talhao, ylab="DAP(cm)", xlab="Talhão", 
        col="red", pch=16, cex=1.4,
        cex.axis = 1.5, cex.lab = 1.7, cex.main = 1.8,
        tcl = 0.3,
        las=1,
        bty="l", xaxt="n",
        main = "Eucalyptus saligna") 
axis(side=1, at=saligna$talhao, labels=saligna$talhao)
text(x=1, y=20,"a")

dap.mean <- tapply(saligna$dap, saligna$talhao,mean)
dap.sd <- tapply(saligna$dap, saligna$talhao,sd)
plot(dap.mean, xaxt="n", xlab="Talhão", ylab="DAP (m)",
     ylim=c(5,21), col="red", pch=16, cex=1.4,
     cex.axis = 1.5, cex.lab = 1.7, cex.main = 1.8,
     tcl = 0.3,
     las=1,
     bty="l",
     main = "Eucalyptus saligna")
dap.sd1 = dap.mean - dap.sd
dap.sd2 = dap.mean + dap.sd
segments(x0=1:6, y0=dap.sd1, x1=1:6, y1=dap.sd2)
axis(side=1, at=saligna$talhao, labels=saligna$talhao)
text(x=1.5, y=20,"b")

#5.3. Adivinhando o código
#Leia os dados deste arquivo e usando as variáveis “x1” e “y1” e “x2” e “y2” tente reproduzir esta figura:
ex3 <- read.table("exercicio3.csv", header = T, sep = ",") 
head(ex3)
str(ex3)

par(mfrow=c(1,2), 
    tcl=0.5, bty="l", family="serif")
plot(ex3$x1,ex3$y1, pch=17, type="p", 
     xlim=c(0.5,2.15), ylim=c(0,3.1),  
     ylab="Euclidean distances", xlab="",
     cex.lab = 1.7)
segments(x0=0.5, y0=2.25, x1=2.15,  y1=1, lwd="2")
mtext("Log(Patch size)(ha)", 1, cex=1.2, family="serif", line=2.5)
text(2.15, 3, "a", cex=2)

boxplot(ex3$x2~ex3$y2, ylim=c(0,3.1), xaxt="n", outline=F)
mtext(c("Small\n", "Medium\nEdge", "Medium\nInterior", "Large\nEdge", "Large\nInterior", "Control\n"), 1, at=1:6, family="serif", line=1.5, cex=1.2)
text(6.5, 3, "b", cex=2)
text(5, 3, "***", cex=1.8)
text(4, 3, "*", cex=1.8)
text(3, 3, "**", cex=1.8)
text(2, 3, "*", cex=1.8)
text(1, 3, "*", cex=1.8)
