#Exercícios 7 - Regressões Lineares Simples

#7.2. O modelo mais simples possível
#Vamos retomar a regressão da massa do cérebro em função da massa corporal de alguns animais, do tutorial ajuste e diagnóstico de uma regressão:
library(MASS)
data(Animals)
str(Animals)

anim.m2 <- lm(log(brain)~log(body),data=Animals, 
              subset=!(log(Animals$body)>8&log(Animals$brain)<6))

#Agora ajuste este modelo:
anim.m0 <- lm(log(brain)~1, data=Animals, 
                subset=!(log(Animals$body)>8&log(Animals$brain)<6))

#E compare os dois:
anova(anim.m0,anim.m2)
anova(anim.m2)

#Perguntas
  #1. Qual a relação do comando 'anova' acima com:
    #O comando "anova ()" realiza a comparação de um modelo ao modelo nulo. No caso, a diferença é que "anova(anim.m0,anim.m2)" explicita o modelo nulo, mas ambos são convergentes. Inclusive se verificados os valores, vê-se que desvios, F, p, etc são iguais para ambos anovas, mudam apenas sua posição. 


  #2. Qual a relação entre os valores obtidos por estes comandos:
summary(anim.m0)
mean(log(Animals$brain[!(log(Animals$body)>8&log(Animals$brain)<6)]))
sd(log(Animals$brain[!(log(Animals$body)>8&log(Animals$brain)<6)]))

#Dica
#Um comando mais curto para ajustar o modelo deste exercício, e que ajuda a interpretá-lo:
  
anim.m0 <- update(anim.m2, .~. -log(body))
                                    
    # Considerando que o modelo "anim.m0" corresponde ao modelo nulo, a relação é que o valor do intercepto é igual à média de brain e o erro padrão é igual ao desvio padrão dos dados.