#7b. Exercícios de Regressão Múltipla
  #Uma estimativa da incerteza na previsão do modelo
  #Construa esse gráfico para avaliar a incerteza do modelo para a relação peso do bebê (kg) ~ tempo de gestação (dias) dos dados Massa ao Nascer e Dados da mãe, usando a fórmula acima para estimar o intervalo de confiança de 95%.
  #btw (peso do bebê) e gestation (tempo de gestação)
#leitura dos dados
babies <- read.table("babies.txt", header=T)
head(babies)
nrow(babies)
str(babies)
summary(babies)

#Transformando valores ignorados (informação na "descrição das variáveis") em NA
babies$bwt[babies$bwt==999] = NA
babies$gestation[babies$gestation==999] = NA
babies$parity[babies$parity==9] = NA
babies$age[babies$age==99] = NA
babies$height[babies$height==99] = NA
babies$weight[babies$weight==999] = NA
babies$smoke[babies$smoke==9] = NA

#análise gráfica
plot(bwt~gestation, data = babies)
b.g = lm(bwt~gestation, data = babies)
abline(b.g, col = "red")
plot(b.g)

#Fórmula
s2 <- var(bebes$bwt)
seqx <- seq(from = min(bebes$gestation, na.rm = T), to = max(bebes$gestation, na.rm = T), length.out = 100)
medx <- mean(bebes$gestation, na.rm = T) #media de x
SSX <- anova(b.g)[["Sum Sq"]][2] 

sey <- sqrt(s2*((1/length(bebes$bwt))+(((seqx-medx)^2)/SSX))) 

#Intervalo de confiança
coef(b.g)
mod <- coef(b.g)[1] + coef(b.g)[2]*seqx

lim.s <- mod + sey*qt(0.975, (length(bebes$bwt)-2))
lim.i <- mod - sey*qt(0.975, (length(bebes$bwt)-2))

#Gráfico
plot(bwt~gestation, data = bebes, cex = 0.4, col = "gray")
abline(b.g, col = "red", lwd = 2)
polygon(c(rev(seqx),seqx), c(rev(lim.s),lim.i), col=rgb(1,0,0, 0.5), border=NA)
  #lines(seqx, lim.s, col="blue", lwd = 2)  
  #lines(seqx, lim.i, col="blue", lwd = 2)

###############
#Galileu estava Certo?
 #Partindo do tutorial Ajuste de Polinômios, avalie se um polinômio de terceiro grau é um melhor modelo para descrever os dados do experimento de Galileu. A equação para este modelo é: y=a+b*x+c*x²+d*x³
init.h = c(600, 700, 800, 950, 1100, 1300, 1500)
h.d = c(253, 337, 395, 451, 495, 534, 573)

mod1 <- lm(h.d~init.h)
mod2 <- update(mod1,.~. +I(init.h^2))
anova(mod1,mod2) #Comparacao de modelos (mod2 explica melhor que mod1)

mod3 <- update(mod2,.~. +I(init.h^3))
anova(mod2,mod3) #mod3 explica melhor que m2 e trata-se de um modelo de polinômio de terceiro grau. 

###################
#Massa de Recém-Nascidos
  #Utilize todas as variáveis disponíveis no conjunto de dados Massa ao Nascer e Dados da mãe para chegar ao melhor modelo de previsão da massa de bebês ao nascer.
#Transformando valores ignorados (idem exercício 1):
babies = read.table("babies.txt", sep=" ", header=T, as.is=T)
babies$bwt[babies$bwt==999] = NA
babies$gestation[babies$gestation==999] = NA
babies$parity[babies$parity==9] = NA
babies$age[babies$age==99] = NA
babies$height[babies$height==99] = NA
babies$weight[babies$weight==999] = NA
babies$smoke[babies$smoke==9] = NA
str(babies)

#Modelo Cheio
modFull = lm(bwt ~ gestation*parity*age*height*weight*smoke, data=babies)
modFull
anova(modFull) #nenhuma das interações de três, quatro ou cinco variáveis são significativas para p = 0.05.

#mantendo interações 2 a 2
mod1 <- lm(bwt ~ gestation*parity + gestation*age + parity*age + gestation*height + parity*height + age*height + gestation*weight + parity*weight + age*weight + height*weight + gestation*smoke + parity*smoke + age*smoke + height*smoke + weight*smoke, data=babies)
anova(mod1) 
anova(modFull,mod1)

#removendo mais interações não significativas (> 0.05)
mod2 <- lm(bwt ~ height*weight + gestation*smoke + parity*smoke + age*smoke, data=babies)
anova(mod2)
anova(mod1, mod2)

#aperfeiçoando o modelo
mod3 <- lm(bwt~gestation + parity + age + height + smoke + gestation:smoke, data=babies)
anova(mod3)
anova(mod2, mod3)

#mais
mod4 <- lm(bwt~gestation + parity + height + smoke + gestation:smoke + smoke:parity, data=babies)
anova(mod4)
anova(mod4, mod3)

#mod 4 é o modelo básico

