#Exercício 8: Reamostragem e Simulação
  #Exercício 1.

#1.1. Baixe o arquivo palmadulto.txt e leia os dados no R em um objeto chamado eutad, não esqueça de conferir se o objeto de dados foi lido corretamente.
eutad <- read.table("palmadulto.txt")

#1.2. Crie o objeto para guardar as distâncias entre cada indivíduo:
dist=matrix(NA, ncol=102, nrow=102)

#1.3. Calcule a distãncia observada entre cada indivíduo e guarde o resultados em dist:
for(i in 1:101)
{
  for(j in (i+1):102)
  {
    difx2=(eutad$gx[i]-eutad$gx[j])^2
    dify2=(eutad$gy[i]-eutad$gy[j])^2
    dist[i,j]<-sqrt(difx2 + dify2)
    dist[j,i]<-sqrt(difx2 + dify2)
  }
  
}

#1.4. Verifique o objeto dist e calcule o parâmetro chamado de distância média do vizinho mais próximo (MNN):
dist
(nn<-apply(dist, 1, min, na.rm=TRUE))
(mnn<-mean(nn))

#1.5. Crie um vetor resultado, com 1000 NA's, para guardar os valores de cada simulação1.5. Crie um vetor resultado, com 1000 NA's, para guardar os valores de cada simulação
nsim = 1000
resultado <- rep(NA,nsim)

#1.6. Guarde o valor observado na primeira posição de resultado;
resultado[1] <- mnn

#1.7. Crie um ciclo com contador (k) que vai de 2 a 1000;
for (k in 2:1000)

#1.8. Dentro do ciclo:
{ 
  #1.8.1. Crie o objetos xsim, um vetor com valores amostrados aleatoriamente de uma distribuição uniforme de 0 a 320 (o tamanho x da parcela), arredondando o valor para uma casa decimal2). Lembre-se de sortear o mesmo quantidade de valores que a população de palmito observado;
  xsim <- runif(n=102,min=0,max=320)
  #1.8.2. Faça o mesmo que no passo anterior e guarde no objeto ysim;
  ysim <- runif(n=102,min=0,max=320)
  #1.8.3. Como no tópico anterior, crie uma matriz para guardar as distâncias entre cada valor xy simulados;
  dist.xy <- matrix(NA, ncol=102, nrow=102)
  #1.8.3. Crie os ciclos para o calculo das distâncias como no tópico anterior;
  for(i in 1:101) #calcula distância de cada vizinho
  {
    for(j in (i+1):102)
    {
      difx2=(xsim[i]-xsim[j])^2
      dify2=(ysim[i]-ysim[j])^2
      dist.xy[i,j]<-sqrt(difx2 + dify2)
      dist.xy[j,i]<-sqrt(difx2 + dify2)
    }
  }
  #1.8.4. Guarde o valor da distância média do vizinho mais próximo dos dados simulados na posição k do vetor resultado;
  (nn<-apply(dist.xy, 1, min, na.rm=TRUE))
  (mnn<-mean(nn))
  resultado[k] <- mnn 
  #1.8.5. Feche o ciclo.
}
#1.9. Faça um histograma dos valores simulados 
hist(resultado,
     xlab="Média de distância do palmito vizinho simulada (m)",
     ylab="Frequência")
  #e coloque uma linha vermelha vertical na posição do valor observado;
  abline(v = resultado[1], col = "red") 
#1.10. Calcule a probabilidade de uma distribuição espacial aleatória gerar valores iguais ou mais extremos do que o valor MNN observado.
prob <- sum(resultado >= resultado[1]|resultado <= resultado[1]*-1) / length(resultado)
prob

##########
#Exercício 2. Simulando o teste de uma regressão linear

#2.1. Calcule a inclinação da relação log(brain) ~ log(body2.1. Calcule a inclinação da relação log(brain) ~ log(body)
animais <- read.table("animais.txt", sep=";", dec=",",  as.is=T)
animais <- na.omit(animais)
relacao <- lm(log(brain) ~ log(body), data=animais)
guarda <- coef(relacao)[2]

#2.2. Crie um vetor para guardar o resultado de simulações;
simula <- rep(NA,1000)

#2.3. Guarde o valor observado no objeto criado em 2.2;
simula[1] <- guarda

#2.4. Abra um ciclo de 2 a 1000;
for(i in 2:1000)
{ 
  
#2.5. Desordene o vetor brain e guarde no objeto sim_brain;
sim_brain <- sample(animais$brain)

#2.6. Calcule a inclinação entre o log(sim_brain) ~ log(body) e guarde no vetor resultado;
simula[i] <- coef(lm(log(sim_brain) ~ log(body), data=animais))[[2]]

#2.7. Feche o ciclo;
}

#2.8. Faça o histograma dos valores simulados e compare com o valor observado da inclinação da relação;
hist(simula,
     xlab="Inclinação entre o log(sim_brain) ~ log(body)",
     ylab="Frequência")
abline(v=simula[1], col="red")
#2.9. Calcule a probabilidade da inclinação observada ter sido gerada por variáveis que são independentes;
prob <- sum(simula >= simula[1])/length(simula)
prob

  