#9.2 Exercício Análise exploratória simultânea de duas variáveis
  #Crie uma função para saída gráfica de análises exploratórias de duas variáveis. Essa saída pode ter por exemplo boxplot, histograma, qq norm e y por x. A função deve permitir a entrada de dois objetos vetores de mesmo tamanho (x e y). Caso os valores de x e y forem desenhados em um mesmo gráfico, defina cores diferentes. As legendas devem ser em português e a saída (return) deve apresentar o sumário das duas variáveis e o coeficiente de correlação.
    #DICAS:
      #Para histogramas com variáveis em um mesmo gráfico pode ser utilizada a função multhist() do pacote “plotrix”. Baixe, instale o pacote e veja o help da função.
      #Utilize o código do eda.shape, apresentado em aula como ponto de partida.
      #Lembre-se que em algumas funções gráficas o argumento add=TRUE, adiciona elementos no gráfico anterior.
      
install.packages("plotrix")
library("plotrix")
?multhist
        
graficos <- function(x,y) #x e y são os dois objetos vetores
{
    if(length(x)!=length(y))
  {
    stop("x e y devem ter o mesmo tamanho!")
  }
  par(mfrow = c(2,3))
  
  boxplot(x,y, col = c("red", "green"), 
           legend=c(deparse(substitute(x)), deparse(substitute(y))))
      
  multhist(list(x,y), col=c("red", "green"), 
           xlab=deparse(substitute(x)), ylab=deparse(substitute(y)))

  qqnorm(x, col = "red", main= paste("Gráfico Quantil x Quantil\n de", deparse(substitute(x))),xlab="Quantil Teórico", ylab="Quantil da Amostra")
  qqline(x)
  qqnorm(y, col = "green", main= paste("Gráfico Quantil x Quantil\n de", deparse(substitute(y))), xlab= "Quantil Teórico", ylab="Quantil da Amostra")
  qqline(y)
  
  plot(y~x, xlab = deparse(substitute(x)), ylab = deparse(substitute(y)))
  abline(lm(y~x))
  
  sumario.x <- summary(x)           
  sumario.y <- summary(y)           
  x.y <- lm(y~x)              
  r2 <- summary(x.y)$adj.r.squared  
  sumario.coef <- list(sumario.x, sumario.y, r2) 
  names(sumario.coef) <- c("Sumário da variável X", "Sumário da variável Y", "Coeficiente de correlação das variáveis") 
  return(sumario.coef) #sumário das duas variáveis e o coeficiente de correlação.
}
