library(MASS)
data(Animals)
str(Animals)
head(Animals)
Animals
par(mfrow=c(2,2))
anim.m2 <-lm(log(brain)~log(body),data=Animals,subset=!(log(Animals$body)>8&log(Animals$brain)<6))
              
anim.m0 <- lm(log(brain)~1, data=Animals, 
              subset=!(log(Animals$body)>8&log(Animals$brain)<6))

summary(anim.m2)             
summary(anim.m0)

anova<-anova(anim.m0,anim.m2)
summary(anova)
#! é o que nega o vetor, no argumento subset significa: não quer os animais de corpo maior que 8 e cérebro menor que 6.

plot(log(brain)~log(body),data=Animals,subset=!(log(Animals$body)>8&log(Animals$brain)<6))

abline(anim.m2)

summary(anim.m2)

plot(log(brain)~1, data=Animals, subset=!(log(Animals$body)>8&log(Animals$brain)<6))

plot(anim.m0)

#Perguntas:

#1 no comando anova(anim.m0, anim.m2) a anova está sendo comparada entre o modelo nulo (relacionado a grande media) e o modelo que se ajusta bem aos dados (anim.m2). O comando anova(anim.m2) fornece o mesmo resultado que anova(anim.m0, anim.m2) pois na função R anova(), ja esta incorporada a comparacao com o modelo nulo, como um default.

#2
#No anim.m0,o parâmetro Intercept é a grande media,ou seja,  a média dos dados, que é o mesmo valor fornecido por mean(). O erro padrão é o mesmo valor do desvio padrão dos dados que é a variacao dos dados em torno da grande media.