#5.1- Editando alguns parametros graficos

saligna<-read.table("esaligna.csv", header = T, sep=",")
str(saligna)

plot(saligna$dap, saligna$ht, pch=19, col="red", cex=1.4, xlab="Diâmetro à altura do peito (cm)", ylab="Altura (m)", cex.axis=1.5, cex.lab=1.7, tcl=0.3, las=1, bty="l")
locator(1)
mtext("*Eucalipto saligna*", side=3, cex=1.8 )

#Para salvar em formato 'png'
png(filename="Eucalesaligna.png",bg="transparent", type="windows")
plot(saligna$dap, saligna$ht, pch=19, col="red", cex=1.4, xlab="Diâmetro à altura do peito (cm)", ylab="Altura (m)", cex.axis=1.5, cex.lab=1.7, tcl=0.3, las=1, bty="l")
locator(1)
mtext("*Eucalipto saligna*", side=3, cex=1.8 )

#5.2- Dois graficos juntos

media<-aggregate(saligna$dap, by=list(saligna$talhao), mean)
media
sd<-aggregate(saligna$dap, by=list(saligna$talhao), sd)
sd
media.sd<-media
media.sd
media.sd[,3]<-sd$x
media.sd
colnames(media.sd)[3]<-"sd"
media.sd
colnames(media.sd)[2]<-"mean"
media.sd
colnames(media.sd)[1]<-"talhao"
media.sd
#dois graficos juntos
x11()
par(mfrow=c(1,2), cex.lab=1.7,cex.axis=1.5, tcl=0.3, las=1, bty="l", mgp=c(1.5,0.1,0))
boxplot(saligna$dap~saligna$talhao, xlab="talhão", ylab="DAP") 
mtext("a", side=3, cex=1.8)
media<-barplot(media.sd$mean,xlab="talhão", ylab="média DAP", ylim=c(0,25), axis.lty = 2)
mtext("b", side=3, cex=1.8)
arrows(media,media.sd$mean-media.sd$sd,media,media.sd$mean+media.sd$sd, angle=90, code=3)
locator(1)
text(1.0,27.39,"*Eucalyphtus saligna*", cex=1.8)

#5.3-Adivinhando o codigo
grafico<-read.table("matriz5.csv", header=T, sep=",")
str(grafico)
head(grafico)
x11()
par(mfrow=c(1,2), cex.lab=1.2,cex.axis=1, tcl=0.3, las=0, bty="l", mgp=c(1.5,0.2,0), pch=17, family="serif")
plot(grafico$x1, grafico$y1, xlab = "Log(Patch size)(ha)", ylab="Euclidean distances", xlim = c(0.5, 2), ylim = c(0,3))
segments(x=0.5, y= 2.25, x1=2.17, y1=1, lwd=2)
mtext("a",side=3, at=2.1, cex=1.7 )
par( mgp=c(1.5,1.5,0))
boxplot(grafico$x2~grafico$y2, ylim=c(0,3), names=c("Small","Medium \n Edge", "Medium \n Interior", "Large \n Edge", "Large \n Interior", "Control") )
text(1.00,3.00,"*",cex=1.0)
text(2.00,3.00,"*",cex=1.0)
text(3.00,3.00,"**",cex=1.0)
text(4.00,3.00,"*",cex=1.0)
text(5.00,3.00,"***",cex=1.0)
mtext("b",side=3, at=6.5, cex=1.7)


