#7b: Exercicios de regressao multipla
#7b.1 - Grafico
bebes<-read.table("babies.txt", header = T, sep = " ")
head(bebes)
tail(bebes)
bebes[bebes$bwt==999|bebes$gestation==999|bebes$parity==9|bebes$age==99|bebes$height==99|bebes$weight==999|bebes$smoke==9,]<-NA
bebes<-na.exclude(bebes)
head(bebes)
str(bebes)
bebes$bwt<- (bebes$bwt)*0.0283495
head(bebes)
colnames(bebes)[1]<-"peso(kg)"
head(bebes)

plot(bebes$`peso(kg)`~bebes$gestation)
lm.bebes<-lm(`peso(kg)`~gestation, data=bebes)
summary(lm.bebes)
str(bebes)

par(mar=c(4,4,2,2),   cex.lab=1.5, cex.axis=1.2, las=1, bg = "gray70", bty="n")
plot(NA, type="n", axes = FALSE, ann = FALSE, xlim =range(bebes$gestation), ylim = range(bebes$`peso(kg)`)) 
rect(par()$usr[1],par()$usr[3], par()$usr[2],par()$usr[4] , col="gray90")
points(bebes$`peso(kg)` ~ bebes$gestation, pch = 19,cex= 1.5, col = rgb(0,0,1, 0.4))
axis(1)
axis(2)
mtext("tempo de gestação (dias)", 1,  line=2.5, cex = 1.7)
mtext("Peso (kg)", 2, line=2.5, cex = 1.7, las = 0)
newx <- seq(min(bebes$gestation) -10, max(bebes$gestation) + 10, length.out=100)
preds <- predict(lm.bebes, newdata = data.frame(gestation=newx), 
                 interval = 'confidence')
polygon(c(rev(newx), newx), c(rev(preds[ ,3]), preds[ ,2]), col = rgb(0,0,0,0.2), border = NA)
abline(lm.bebes, lwd = 2.5, col = "black")

#calculo da formula#
dquad.gest<-(sum(bebes$gestation))^2
s2.peso<-var(bebes$`peso(kg)`)
n<-1174
media.gest<-mean(bebes$gestation)
sey<-sqrt(s2.peso*((1/n)+ ((bebes$gestation-media.gest)^2)/dquad.gest))
summary(lm.bebes)
t<-t.test(bebes$gestation, bebes$`peso(kg)`, df=1172)
sey.t<-sey*589.75
sey.t

#7b.2- Galileu Galilei
#alturas lancamento#
init.h = c(600, 700, 800, 950, 1100, 1300, 1500)

#dist percorrida#
h.d = c(253, 337, 395, 451, 495, 534, 573)

plot(h.d~init.h)

mod.1<-lm(h.d~init.h)
summary(mod.1)

mod.2<-update(mod.1, .~. +I(init.h^2))
summary(mod.2)
anova(mod.1, mod.2)

plot(h.d~init.h)
abline(mod.1)
cf.m2<-coef(mod.2)
curve(cf.m2[1]+cf.m2[2]*x+cf.m2[3]*x^2, add=T, lty=2)

mod.3<-update(mod.2, .~. +I(init.h^3))
summary(mod.3)
cf.m3<-coef(mod.3)
anova(mod.1, mod.2, mod.3)

x11()
plot(h.d~init.h)
abline(mod.1)
curve(cf.m2[1]+cf.m2[2]*x+cf.m2[3]*x^2, add=T, lty=2, col="green")
curve(cf.m3[1]+cf.m3[2]*x+cf.m3[3]*x^2 +cf.m3[4]*x^3, add=T, lty=2)



anova(mod.1, mod.2)
anova(mod.1, mod.3)
anova(mod.2, mod.3)

#Resposta: o mod.3 é o que melhor se ajusta aos dados, esta conclusão foi feita com base no plot das três linhas dos modelos juntas e através dos valores de p. A curva de mod. 3 se ajusta perfeitamente aos dados assim como o valor de p é o mais baixo também, quando comparamos na tabela de varância entre os modelos. 

#7b-3- Massa corporal bebes
bebes<-read.table("babies.txt", header = T, sep = " ")
head(bebes)
tail(bebes)
bebes[bebes$bwt==999|bebes$gestation==999|bebes$parity==9|bebes$age==99|bebes$height==99|bebes$weight==999|bebes$smoke==9,]<-NA
bebes<-na.exclude(bebes)

mod.bb.total<-lm(bwt~gestation+parity+age+height+weight+smoke+gestation:parity+gestation:age+gestation:height+
                   gestation:weight+gestation:smoke+parity:age+parity:height+parity:weight+ 
                   parity:smoke+age:height+age:weight+age:smoke+height:weight+height:smoke+
                   weight:smoke+gestation:parity:age+gestation:height:weight+gestation:age:smoke+
                   height:weight:smoke+gestation:parity:smoke +parity:age:smoke, data=bebes)
summary(mod.bb.total)
anova(mod.bb.total)
#sem as interações triplas não significativas
mod.bb.1<-lm(bwt~gestation+parity+age+height+weight+smoke+gestation:parity+gestation:age+gestation:height+
               gestation:weight+gestation:smoke+parity:age+parity:height+parity:weight+ 
               parity:smoke+age:height+age:weight+age:smoke+height:weight+height:smoke+
               weight:smoke+gestation:parity:age+gestation:age:smoke, data=bebes)
anova(mod.bb.1, mod.bb.total)               
#panova=0.7011 não significativo!

#sem a interação tripla gestation:age:smoke
mod.bb.2<-lm(bwt~gestation+parity+age+height+weight+smoke+gestation:parity+gestation:age+gestation:height+
               gestation:weight+gestation:smoke+parity:age+parity:height+parity:weight+ 
               parity:smoke+age:height+age:weight+age:smoke+height:weight+height:smoke+
               weight:smoke+gestation:parity:age, data=bebes)
anova(mod.bb.2, mod.bb.total)
anova(mod.bb.2, mod.bb.1)
#panova=0.44 - não significativo!

#sem a interacao height:weight
mod.bb.3<-lm(bwt~gestation+parity+age+height+weight+smoke+gestation:parity+gestation:age+gestation:height+
               gestation:weight+gestation:smoke+parity:age+parity:height+parity:weight+ 
               parity:smoke+age:height+age:weight+age:smoke+height:smoke+weight:smoke, data=bebes)
anova(mod.bb.3, mod.bb.2) 
anova(mod.bb.2)
#sem as interações não -significativas da anova(mod.bb.2)
mod.bb.4<-lm(bwt~gestation+parity+age+height+weight+smoke+gestation:parity+gestation:age+gestation:height+
               gestation:weight+gestation:smoke, data=bebes)
anova(mod.bb.4, mod.bb.2)
anova(mod.bb.4, mod.bb.3)
anova(mod.bb.4)

#sem as interações gestation:parity

mod.bb.5<-lm(bwt~gestation+parity+age+height+weight+smoke+gestation:age+
               gestation:weight+gestation:smoke, data=bebes)
anova(mod.bb.5, mod.bb.4)
anova(mod.bb.5, mod.bb.total)

#sem age
mod.bb.6<-lm(bwt~gestation+parity+height+weight+smoke+gestation:age+
               gestation:weight+gestation:smoke, data=bebes)
anova(mod.bb.6, mod.bb.5)
anova(mod.bb.5)

#sem gestation:weight 
mod.bb.7<-lm(bwt~gestation+parity+age+height+weight+smoke+gestation:age+ gestation:parity+
               gestation:smoke, data=bebes)
anova(mod.bb.7, mod.bb.5)
anova(mod.bb.7, mod.bb.total)

#sem age
mod.bb.8<-lm(bwt~gestation+parity+height+weight+smoke+gestation:age+
               gestation:smoke, data=bebes)
anova(mod.bb.8, mod.bb.7)

#sem gestation:age
mod.bb.9<-lm(bwt~gestation+parity+age+height+weight+smoke+
               gestation:smoke, data=bebes)
anova(mod.bb.9, mod.bb.7)

#sem height
mod.bb.10<-lm(bwt~gestation+parity+age+weight+smoke+gestation:age+
                gestation:smoke, data=bebes)
anova(mod.bb.10, mod.bb.7)

#sem gestation:parity
mod.bb.11<-lm(bwt~gestation+parity+age+height+weight+smoke+gestation:age+
                gestation:smoke, data=bebes)
anova(mod.bb.11, mod.bb.7)

anova(mod.bb.7, mod.bb.total)
anova(mod.bb.7)

#sem gestation
mod.bb.12<-lm(bwt~parity+age+height+weight+smoke+gestation:age+ gestation:parity+
                gestation:smoke, data=bebes)
anova(mod.bb.12, mod.bb.7)
anova(mod.bb.12, mod.bb.total)

#sem gestation e parity 
mod.bb.13<-lm(bwt~age+height+weight+smoke+gestation:age+ gestation:parity+
                gestation:smoke, data=bebes)
anova(mod.bb.13, mod.bb.12)
anova(mod.bb.13, mod.bb.7)

#sem age
mod.bb.14<-lm(bwt~height+weight+smoke+gestation:age+ gestation:parity+
                gestation:smoke, data=bebes)
anova(mod.bb.14, mod.bb.13)

#sem height
mod.bb.15<-lm(bwt~age+weight+smoke+gestation:age+ gestation:parity+
                gestation:smoke, data=bebes)
anova(mod.bb.13, mod.bb.15)

#sem weight
mod.bb.16<-lm(bwt~age+height+smoke+gestation:age+ gestation:parity+
                gestation:smoke, data=bebes)
anova(mod.bb.16, mod.bb.13)

#sem smoke
mod.bb.17<-lm(bwt~age+height+weight+gestation:age+ gestation:parity+
                gestation:smoke, data=bebes)
anova(mod.bb.17, mod.bb.13)

#sem interacao gestation:parity
mod.bb.18<-lm(bwt~age+height+weight+gestation:age+
                gestation:smoke, data=bebes)
anova(mod.bb.18, mod.bb.13)

#sem gestation:age
mod.bb.19<-lm(bwt~age+height+weight+smoke+gestation:parity+
                gestation:smoke, data=bebes)

anova(mod.bb.19, mod.bb.13)
#sem gestation:smoke
mod.bb.20<-lm(bwt~age+height+weight+smoke+gestation:age+ gestation:parity
              , data=bebes)
anova(mod.bb.20, mod.bb.13)

anova(mod.bb.13, mod.bb.total)
#Resposta: o mod.bb.13 parece ser o modelo minimo adequado, simplificado, 
#que explica o mesmo que o modelo complexo. Quando se realiza a anova com os mod.bb.13 (minimo adequado)e o mod.bb.total(modelo "full")
#o valor de p não é significativo, portsnto, não há diferença estatística entre eles.